function GelecekZamanGereklilik(anlmOgesi, kip)
{
	var aciklama1 = "<strong> UYARI (1)! :  et− </strong> yardımcı fiiliyle yapılmış bitişik yazılan birleşik fiiller, ayrı ";
	aciklama1 += "bir veri tabanı gerektirdiği için şimdilik bu programa alınmamıştır. ";
	aciklama1 += "Böyle fiiller ayrık yazılarak doğru sonuç alınabilir.";
	var ornek1 = "<strong> Örnek </strong> : <strong> addet ⇒ add et </strong> şeklinde girilmelidir.";
	
	var aciklama2 = "<strong> UYARI (2) ! : /...−ø−mA.lI/ </strong> eki, seyrek kullanımı olan bir [Gereklilik] <strong> ORTAÇ </strong> ekidir. <strong> ULAÇ KİPİ </strong> eki :  <strong> /...−mA.lI+//+y−ken/ </strong>  biçimindedir. Ayrıca, fiillerden, <strong> <i> - kural degistirmeksizin - </i> </strong> bu ekin yerine <strong> /...−mA/ </strong>  ve <strong> /...−mA.k/ </strong> ekleri getirilerek <strong> EYLEMLİK </strong> ; <strong>/...−mA.k+tA/</strong>, <strong> /...−mA+dAn/ </strong> ve <strong> /...−mA.k+sIz.In/ </strong> ekleri getirilerek de <strong> ULAÇ </strong> yapılır."; 
	aciklama2 += "";
	var ornek2 = "<strong> Örnek </strong> : <strong> ortaç </strong> : <i> *[git-//-meli], *[git-//-memeli] ... </i> ; <strong> ulaç kipi </strong> : <i> git-//-meliyken, git-//-memeliyken </i> ; <strong> eylemlik </strong> : <i> git-//-me, git-//-meme </i> ... ; <i> git-//-mek, git-//-memek </i> ... ;  <strong> ulaç </strong> : <i> git-//-mekte, git-//-memekte </i> ... ; <i> git-//-meden, git-//-meksizin </i>  ... <br> <strong> ortaç </strong> : <i> *[oku-//-malı], *[oku-//-mamalı] </i> ... ; <strong> ulaç kipi </strong> : <i> oku-//-malıyken, oku-//-mamalıyken </i> ; <strong> eylemlik </strong> : <i> oku-//-ma, oku-//-mama </i> ... ; <i> oku-//-mak, oku-//-mamak </i> ... ;  <strong> ulaç </strong> : <i> oku-//-makta, oku-//-mamakta </i> ... ; <i> oku-//-madan </i> ... ; <i> oku-//-maksızın </i>  ... gibi.";
	
	var aciklama3 = ""; 
	aciklama3 += "";
	var ornek3 = "";


	BilgiYaz("Başı Sınırlı Kılışlı Yüklem (Prédicat) : <br> Gelecek Zaman + Gereklilik", "Geçici İsim Eki : /...−ø−mA.lI+.../ &nbsp&nbsp&nbsp&nbsp  --(benzşmz ünsz + benzşr açık ünlü)-- ", " Geçici İsim Eki : /...−mA−mA.lI+.../",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);
	
	if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}
	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var geciciIsimEki;
	var geciciIsimA;
	var geciciIsimB;
	
	var oncesi;
	var sonrasi;	
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);
	
	for (i = 0 ; i < 12 ; i++)
	{
		cekim[i] = "−YOK−";
	}
	
	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	
	tabanEkiA = "−ø";
	cekmTabniA = anlmOgesi + "−//" + tabanEkiA;
	
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
	
	if (SondanIkinciVokal(cekmTabniA) != null)
	{
		cekmTabniASonVokl2 = SondanIkinciVokal(cekmTabniA);
	}
	else
	{
		cekmTabniASonVokl2 = cekmTabniASonVokl1;
	}
	
												// cekmTabniB'yi oluşturma
	
	if (SonDortHarf(anlmOgesi) == "abil")
	{
		tabanEkiB = "+−//−ma";
		cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
	}
	else
	{
		if (SonDortHarf(anlmOgesi) == "ebil")
		{
			tabanEkiB = "+−//−me";
			cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
		}
		else
		{			
			if (ArtliMi(cekmTabniASonVokl1))
			{
				tabanEkiB = "−ma";
			}
			else
			{
				tabanEkiB = "−me";
			}
			cekmTabniB = anlmOgesi + "−//" + tabanEkiB;
		}
	}
	
											// cekmTabniB'yi oluşturmanın sonu		
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	if (SondanIkinciVokal(cekmTabniB) != null)
	{
		cekmTabniBSonVokl2 = SondanIkinciVokal(cekmTabniB);
	}
	else
	{
		cekmTabniBSonVokl2 = cekmTabnBSonVokl1;
	}
	
	switch (cekmTabniASonVokl1)
	{
		case "a":
		case "ı":
		case "o":
		case "u":
		{
			geciciIsimEki = "−ma.lı";
			break;
		}
		case "e":
		case "i":
		case "ö":
		case "ü":
		{
			geciciIsimEki = "−me.li";
			break;
		}
	}
	
	geciciIsimA = cekmTabniA + sonrasi + geciciIsimEki;
	
	switch (cekmTabniBSonVokl1)
	{
		case "a":
		{
			geciciIsimEki = "−ma.lı";
			break;
		}
		case "e":
		{
			geciciIsimEki = "−me.li";
			break;
		}
	}
	
	geciciIsimB = cekmTabniB + geciciIsimEki; 
	
	// değişen kısım başlangıcı
	
	geciciIsimA  = oncesi + " " + geciciIsimA;
	geciciIsimB  = oncesi + " " + geciciIsimB;
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + "+//+ø−ø+yım";			cekim[6] = geciciIsimA + "+//+ø−ø+yız";
					cekim[1] = geciciIsimA + "+//+ø−ø+sın"; 		cekim[7] = geciciIsimA + "+//+ø−ø+sınız";
					cekim[2] = geciciIsimA + "+//+ø−ø+ø";			cekim[8] = geciciIsimA + "+//+ø−ø+ø[+lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + "+//+ø−ø+yim";			cekim[6] = geciciIsimA + "+//+ø−ø+yiz";
					cekim[1] = geciciIsimA + "+//+ø−ø+sin";			cekim[7] = geciciIsimA + "+//+ø−ø+siniz";
					cekim[2] = geciciIsimA + "+//+ø−ø+ø";			cekim[8] = geciciIsimA + "+//+ø−ø+ø[+ler]";
					break;
				}
			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "+//+ø−ø+yım";			cekim[9] = geciciIsimB +  "+//+ø−ø+yız";
					cekim[4] = geciciIsimB + "+//+ø−ø+sın";			cekim[10] = geciciIsimB + "+//+ø−ø+sınız";
					cekim[5] = geciciIsimB + "+//+ø−ø+ø ";			cekim[11] = geciciIsimB + "+//+ø−ø+ø[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "+//+ø−ø+yim";			cekim[9] = geciciIsimB +  "+//+ø−ø+yiz";
					cekim[4] = geciciIsimB + "+//+ø−ø+sin";			cekim[10] = geciciIsimB + "+//+ø−ø+siniz";
					cekim[5] = geciciIsimB + "+//+ø−ø+ø ";			cekim[11] = geciciIsimB + "+//+ø−ø+ø[ler]";
					break;
				}
			}	
			break;
		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + "+//+y−d+ım";			cekim[6] = geciciIsimA + "+//+y−d+ık";
					cekim[1] = geciciIsimA + "+//+y−d+ın";			cekim[7] = geciciIsimA + "+//+y−d+ınız";
					cekim[2] = geciciIsimA + "+//+y−d+ıø";			cekim[8] = geciciIsimA + "+//+y−d+ıø[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + "+//+y−d+im";			cekim[6] = geciciIsimA + "+//+y−d+ik";
					cekim[1] = geciciIsimA + "+//+y−d+in";			cekim[7] = geciciIsimA + "+//+y−d+iniz";
					cekim[2] = geciciIsimA + "+//+y−d+iø";			cekim[8] = geciciIsimA + "+//+y−d+iø[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "+//+y−d+ım";			cekim[9]  = geciciIsimB + "+//+y−d+ık";
					cekim[4] = geciciIsimB + "+//+y−d+ın";			cekim[10] = geciciIsimB + "+//+y−d+ınız";
					cekim[5] = geciciIsimB + "+//+y−d+ıø";			cekim[11] = geciciIsimB + "+//+y−d+ıø[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "+//+y−d+im";			cekim[9]  = geciciIsimB + "+//+y−d+ik";
					cekim[4] = geciciIsimB + "+//+y−d+in";			cekim[10] = geciciIsimB + "+//+y−d+iniz";
					cekim[5] = geciciIsimB + "+//+y−d+iø";			cekim[11] = geciciIsimB + "+//+y−d+iø[ler]";
					break;
				}
			}
			break;
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + "+//+y−mış+ım";		cekim[6] = geciciIsimA + "+//+y−mış+ız";
					cekim[1] = geciciIsimA + "+//+y−mış+sın";		cekim[7] = geciciIsimA + "+//+y−mış+sınız";
					cekim[2] = geciciIsimA + "+//+y−mış+ø";			cekim[8] = geciciIsimA + "+//+y−mış+ø[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + "+//+y−miş+im";		cekim[6] = geciciIsimA + "+//+y−miş+iz";
					cekim[1] = geciciIsimA + "+//+y−miş+sin";		cekim[7] = geciciIsimA + "+//+y−miş+siniz";
					cekim[2] = geciciIsimA + "+//+y−miş+ø";			cekim[8] = geciciIsimA + "+//+y−miş+ø[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "+//+y−mış+ım";		cekim[9]  = geciciIsimB + "+//+y−mış+ız";
					cekim[4] = geciciIsimB + "+//+y−mış+sın";		cekim[10] = geciciIsimB + "+//+y−mış+sınız";
					cekim[5] = geciciIsimB + "+//+y−mış+ø";			cekim[11] = geciciIsimB + "+//+y−mış+ø[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "+//+y−miş+im";		cekim[9]  = geciciIsimB + "+//+y−miş+iz";
					cekim[4] = geciciIsimB + "+//+y−miş+sin";		cekim[10] = geciciIsimB + "+//+y−miş+siniz";
					cekim[5] = geciciIsimB + "+//+y−miş+ø";			cekim[11] = geciciIsimB + "+//+y−miş+ø[ler]";
					break;
				}
			}
			break;
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + "+//+y−sa+m";			cekim[6] = geciciIsimA + "+//+y−sa+k";
					cekim[1] = geciciIsimA + "+//+y−sa+n";			cekim[7] = geciciIsimA + "+//+y−sa+nız";
					cekim[2] = geciciIsimA + "+//+y−sa+ø";			cekim[8] = geciciIsimA + "+//+y−sa+ø[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + "+//+y−se+m";			cekim[6] = geciciIsimA + "+//+y−se+k";
					cekim[1] = geciciIsimA + "+//+y−se+n";			cekim[7] = geciciIsimA + "+//+y−se+niz";
					cekim[2] = geciciIsimA + "+//+y−se+ø";			cekim[8] = geciciIsimA + "+//+y−se+ø[ler]";
					break;
				}

			}
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "+//+y−sa+m";		cekim[9]  = geciciIsimB + "+//+y−sa+k";
					cekim[4] = geciciIsimB + "+//+y−sa+n";		cekim[10] = geciciIsimB + "+//+y−sa+nız";
					cekim[5] = geciciIsimB + "+//+y−sa+ø";		cekim[11] = geciciIsimB + "+//+y−sa+ø[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "+//+y−se+m";		cekim[9]  = geciciIsimB + "+//+y−se+k";
					cekim[4] = geciciIsimB + "+//+y−se+n";		cekim[10] = geciciIsimB + "+//+y−se+niz";
					cekim[5] = geciciIsimB + "+//+y−se+ø";		cekim[11] = geciciIsimB + "+//+y−se+ø[ler]";
					break;
				}
			}
			break;		
		}						// --- "Koşul" kipinin sonu ---
	}   						//   *** Kip seçimin sonu ***
	
	Yaz(cekim, anlmOgesi);
}