function YuklemIsmi(anlmOgesi, kip)			// Kalıcı vy Geçici bir YÜKLEM İSMİ'ni çekime hazırla.
{
	var aciklama1 = "<strong> UYARI (1) ! :</strong>  Dogru sonuç almak için, <strong> Çekilecek Öge </strong> kutusuna <strong> <i> YÜKLEM İSMİ </i> </strong> olabilecek isimler girilmeli ve <strong> Çekim Kalıbı </strong> pdm'nden <strong> [ * YÜKLEM İSMİ * ] </strong> seçilmelidir.";
	aciklama1 += "";
	aciklama1 += "";
	var ornek1 = "<strong> Örnek :</strong> <i> ad, kalp, tat, ...; at, tek, şeb, süt, ...; dogal, tombul, kanat, kagıt, adet, çocuk, ...; kont, ip, hiç, hap, kart, sırt, suç, ...; evde, topraktan, oglumla, yolda mı, ...</i> gibi.";

	var aciklama2 = "<strong> UYARI (2) ! :</strong>  Takdir edersiniz ki, <strong>Türkiyelice</strong>'nin baskın <strong><i>YAZIM KURALLARI</i></strong>'na, degişik sebeplerle uydurulamadıkları için, kendilerine özgü kuralları olan isimlerin hepsini buraya almak, geniş bir sözlük taraması yapmayı gerektirmektedir. Burada, programın 25. - 30. satırları arasında, bu programı geliştirmek isteyenlere, özel kurallarla ilgili örnek kümeler verilmiştir... İlgili kümelere benzer örnekler girerek programın işlerligini artıracak olanlara şimdiden teşekkür ederim."; 
	aciklama2 += "";
	var ornek2 = "<strong> Örnek :</strong> <i> _ad, _kalp, _tat, ...; af, hak, rab, zıt, ...; helal, rol, alkol, ampul, saat, harp, vaat, alet, âdet, hayat, ...; yakıt, kanıt, ...;  dakik, hukuk, ...; ant, cep, genç, kap, kurt, yurt, uç, ... </i> gibi.";

	var aciklama3 = "<strong> UYARI (3) ! : /... i−ken/ </strong> edatı ve bunun ekleşmiş biçimi olan <strong> /...+//+(y)−ken/ </strong> eki, hemen bütün kalıcı ve geçici isimleri (zaman boyutlu) <strong> ULAÇ KİPİ'</strong>ne koyar."; 
	aciklama3 += "";
	var ornek3 = "<strong> Örnek </strong> : <strong> ulaç kipi </strong> : <i> 〈sag i-ken >〉 sag+//+ø-ken, çocuk+//+ø-ken, dinç+//+ø-ken, ... 〈ögrenci i-ken >〉 ögrenci+//+y-ken, yolcu+//+y-ken, ... ;  ev+//+de+//+y-ken, hasta degil+//+ø-ken ... ; başlatır+//+ø-ken, gelmez+//+ø-ken, geliyor+//+ø-ken, okuyacak+//+ø-ken, koşmalı+//+y-ken... </i> ... gibi.";

	BilgiYaz("Oluşlu Yüklem (Attribut) : <br> ", "...+ø+...", "... + degil+...",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);
	
	if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}
	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var isimEki;
	var isimA;
	var isimA1;
	var isimB;
	
	var isimKD;
	var isimKD2;
	
	var oncesi;
	var sonrasi;
	
	var kuralDisiMi = false;
	var kuralDisiMi2= false;
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);
	
	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	
	tabanEkiA = "";
	
	var kurallisiYanlis2 	= ["*veet",  	"harp", "_kalp", "vaat", 		"_ad",  "had",  "rab",  		"tıp",  "af",  "hat",  "hak",  "ret" , "şek" , "zıt",  "zül"];
	var kuralDisiDogru2  	= ["*veedd", 	"harb", "_kalb", "vaad", 		"_add", "hadd", "rabb", 		"tıbb", "aff", "hatt", "hakk", "redd", "şekk", "zıdd", "züll"];
	var kurallisiYanlis  	= ["*veedd", 	"harb", "_kalb", "vaad", 		"_add", "hadd", "rabb",																				"faik", "saik", "şahik",		"acul", "ampul", "rol", "alkol", "alveol", "ekol", "etol", "atol", "golf", "antidot", "asfalt", "kanaat", "saat", "arzuhal", "helal", "helak", "normal", "anormal",			"kapkaç", "kıraç", "yeleç", "güleç", "sandviç", "igrenç", "malkoç", "iskoç", "kaçgöç", 		"afak", "", "dakik", "müstehak", "nahak", "mülhak", "muglak", "istihkak", "hukuk", 		"efrasiyap",	 "abdest", "âdet", "ahlat", "alet", "dehşet", "devlet", "kuvvet", "ayet", "şöhret", "anket", "aut", 		"anıt", "aygıt", "kanıt", "konut", "kurut", "yakıt", "yanıt",		"sadist", "ateist", "idealist", "realist", "kemalist", "formalist", "finalist", "rasyonalist", "kapitalist", "komünist", "sosyalist", "solist", "pesimist", "optomist", "hümanist", "piyanist", "makinist", "feminist", "egoist", "senarist", "gitarist", "militarist", "fihrist", "terörist", "turist",		"hayat", "hırvat", "rahat", "sakat", "sanat"];
	var kuralDisiDogru   	= ["*vead",  	"herb", "_kelb", "vaed", 		"_edd", "hedd", "rebb",																				"faık", "saık", "şahık",		"acül", "ampül", "röl", "alköl", "alveöl", "eköl", "etöl", "atöl", "gölf", "antidod", "asfald", "kanaed", "saed", "arzuhel", "helel", "helek", "normel", "anormel",			"kapkac", "kırac", "yelec", "gülec", "sandvic", "igrenc", "malkoc", "iskoc", "kaçgöc", 		"afag", "", "dakig", "müstehag", "nahag", "mülhag", "muglag", "istihkag", "hukug", 		"efrasiyab",	 "abdesd", "âded", "ahlad", "aled", "dehşed", "devled", "kuvved", "ayed", "şöhret", "anked", "aud", 		"anıd", "aygıd", "kanıd", "konud", "kurud", "yakıd", "yanıd",		"sadisd", "ateisd", "idealisd", "realisd", "kemalisd", "formalisd", "finalisd", "rasyonalisd", "kapitalisd", "komünisd", "sosyalisd", "solisd", "pesimisd", "optomisd", "hümanisd", "piyanisd", "makinisd", "feminisd", "egoisd", "senarisd", "gitarisd", "militarisd", "fihrisd", "terörisd", "turisd",		"hayad", "hırvad", "rahad", "sakad", "sanad"];
	
	var tekHeceliKuralDisi 	= ["ant", "art", "cep", "dip", "rop", "baç", "evç", "inç", "taç", "zaç", "lep", "dinç", "linç", "vinç", "hınç", "konç", "punç", "tunç", "harç", "plak", "renk", "denk","borç", "burç", "hurç", "murç", "zevç", "felç", "genç", "güç", "skeç", "kap", "kurt", "yurt", "kürt", "uç", "öç"];	
	
	cekmTabniA = anlmOgesi + tabanEkiA;		
	
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
		
	tabanEkiB = "+// degil+//";

	cekmTabniB = anlmOgesi + tabanEkiB;
	
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	isimEki = "";

	isimA = cekmTabniA + isimEki;
	
	for (i = 0 ; i < kurallisiYanlis2.length ; i++)
	{
		if ( isimA == kurallisiYanlis2[i] )
		{
			isimA = kuralDisiDogru2[i];
			isimKD2 = kurallisiYanlis2[i];
			kuralDisiMi2 = true;
		}
	}
	
    for (i = 0 ; i < kuralDisiDogru.length ; i++)
	{
		if ( isimA == kurallisiYanlis[i] )
		{
			isimA = kuralDisiDogru[i];
			isimKD = kurallisiYanlis[i];
			kuralDisiMi = true;
		}
	 }
	 
	 var tekHeceliKuralDisiMi = false;
	 
	 for (i = 0 ; i < tekHeceliKuralDisi.length ; i++)
	 {
	 	if ( isimA == tekHeceliKuralDisi[i] )
	 	{
	 		tekHeceliKuralDisiMi = true;
	 		break;
	 	}
	 }

	if ((anlmOgesiVoklSayisi > 1 || tekHeceliKuralDisiMi) && OtumsuzMu1(SonHarf(isimA)))
	{
		isimA1 = isimA.substring(0, isimA.length-1) + OtumluYap1(SonHarf(isimA));
	}
	else
	{
		isimA1 = isimA;
	}
	
	isimB = oncesi + " " + cekmTabniB + isimEki; 
	
	// değişen kısım başlangıcı
	
	var isimT;
	
	if (kuralDisiMi)
	{
		isimT = isimA;
		
		if (kuralDisiMi2)
		{		
			isimA = isimKD2;
		}
		else
		{
			isimA = isimKD;
		}
		
		isimA1 = isimKD;
	}
	else
	{
		isimT = isimA;
		
		if (kuralDisiMi2)
		{
			isimA = isimKD2;
		}
	}
		
	isimA  = oncesi + " " + isimA;
	isimA1 = oncesi + " " + isimA1;
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(isimT))
			{
				case "a":
				case "ı":
				case "â":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA  + "+//+ø+//+ø−ø+yım";		cekim[6] = isimA  + "+//+ø+//+ø−ø+yız";
					}
					else
					{
					cekim[0] = isimA1 + "+//+ø+//+ø−ø+ım";			cekim[6] = isimA1 + "+//+ø+//+ø−ø+ız";
					}					
					cekim[1] = isimA  + "+//+ø+//+ø−ø+sın";	 	cekim[7] = isimA  + "+//+ø+//+ø−ø+sınız";
					cekim[2] = isimA  + "+//+ø+//+ø−ø+ø";			cekim[8] = isimA  + "+//+ø+//+ø−ø+ø[lar]";
					break;
				}
				case "e":
				case "i":
				case "î":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA  + "+//+ø+//+ø−ø+yim";		cekim[6] = isimA  + "+//+ø+//+ø−ø+yiz";
					}
					else
					{
					cekim[0] = isimA1 + "+//+ø+//+ø−ø+im";			cekim[6] = isimA1 + "+//+ø+//+ø−ø+iz";
					}					
					cekim[1] = isimA  + "+//+ø+//+ø−ø+sin";	 	cekim[7] = isimA  + "+//+ø+//+ø−ø+siniz";
					cekim[2] = isimA  + "+//+ø+//+ø−ø+ø";			cekim[8] = isimA  + "+//+ø+//+ø−ø+ø[ler]";
					break;
				}
				case "o":
				case "u":
				case "û":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA  + "+//+ø+//+ø−ø+yum";		cekim[6] = isimA  + "+//+ø+//+ø−ø+yuz";
					}
					else
					{
					cekim[0] = isimA1 + "+//+ø+//+ø−ø+um";			cekim[6] = isimA1 + "+//+ø+//+ø−ø+uz";
					}					
					cekim[1] = isimA  + "+//+ø+//+ø−ø+sun";	 	cekim[7] = isimA  + "+//+ø+//+ø−ø+sunuz";
					cekim[2] = isimA  + "+//+ø+//+ø−ø+ø";			cekim[8] = isimA  + "+//+ø+//+ø−ø+ø[lar]";
					break;
				}
				case "ö":
				case "ü":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA  + "+//+ø+//+ø−ø+yüm";		cekim[6] = isimA  + "+//+ø+//+ø−ø+yüz";
					}
					else
					{
					cekim[0] = isimA1 + "+//+ø+//+ø−ø+üm";			cekim[6] = isimA1 + "+//+ø+//+ø−ø+üz";
					}					
					cekim[1] = isimA  + "+//+ø+//+ø−ø+sün"; 		cekim[7] = isimA  + "+//+ø+//+ø−ø+sünüz";
					cekim[2] = isimA  + "+//+ø+//+ø−ø+ø";			cekim[8] = isimA  + "+//+ø+//+ø−ø+[ler]";
					break;
				}				
			}
			
				{
					cekim[3] = isimB + "+ø−ø+im";				cekim[9] =  isimB + "+ø−ø+iz";
					cekim[4] = isimB + "+ø−ø+sin";				cekim[10] = isimB + "+ø−ø+siniz";
					cekim[5] = isimB + "+ø−ø+ø";				cekim[11] = isimB + "+ø−ø+ø[ler]";
					break;
				}

		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			switch (SonVokal(isimT))
			{
				case "a":
				case "ı":
				case "â":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + "+//+ø+//+y−d+ım";			cekim[6] = isimA + "+//+ø+//+y−d+ık";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[0] = isimA + "+//+ø+//+ø−t+ım";		cekim[6] = isimA + "+//+ø+//+ø−t+ık";	
						}
						else
						{
						cekim[0] = isimA + "+//+ø+//+ø−d+ım";		cekim[6] = isimA + "+//+ø+//+ø−d+ık";	
						}
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + "+//+ø+//+y−d+ın";			cekim[7] = isimA + "+//+ø+//+y−d+ınız";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[1] = isimA + "+//+ø+//+ø−t+ın";		cekim[7] = isimA + "+//+ø+//+y−t+ınız";	
						}
						else
						{
						cekim[1] = isimA + "+//+ø+//+ø−d+ın";		cekim[7] = isimA + "+//+ø+//+ø−d+ınız";	
						}
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + "+//+ø+//+y−d+ıø";			cekim[8] = isimA + "+//+ø+//+y−d+ıø[lar]";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[2] = isimA + "+//+ø+//+ø−t+ıø";		cekim[8] = isimA + "+//+ø+//+ø−t+ıø[lar]";	
						}
						else
						{
						cekim[2] = isimA + "+//+ø+//+ø−d+ıø";		cekim[8] = isimA + "+//+ø+//+ø−d+ıø[lar]";	
						}					
					}
					break;
				}
				case "e":
				case "i":
				case "î":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + "+//+ø+//+y−d+im";			cekim[6] = isimA + "+//+ø+//+y−d+ik";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[0] = isimA + "+//+ø+//+ø−t+im";		cekim[6] = isimA + "+//+ø+//+ø−t+ik";	
						}
						else
						{
						cekim[0] = isimA + "+//+ø+//+ø−d+im";		cekim[6] = isimA + "+//+ø+//+ø−d+ik";	
						}
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + "+//+ø+//+y−d+in";			cekim[7] = isimA + "+//+ø+//+y−d+iniz";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[1] = isimA + "+//+ø+//+ø−t+in";		cekim[7] = isimA + "+//+ø+//+ø−t+iniz";	
						}
						else
						{
						cekim[1] = isimA + "+//+ø+//+ø−d+in";		cekim[7] = isimA + "+//+ø+//+ø−d+iniz";	
						}
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + "+//+ø+//+y−d+iø";			cekim[8] = isimA + "+//+ø+//+y−d+iø[ler]";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[2] = isimA + "+//+ø+//+ø−t+iø";		cekim[8] = isimA + "+//+ø+//+ø−t+iø[ler]";	
						}
						else
						{
						cekim[2] = isimA + "+//+ø+//+ø−d+iø";		cekim[8] = isimA + "+//+ø+//+ø−d+iø[ler]";	
						}					
					}
					break;
				}
				case "o":
				case "u":
				case "û":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + "+//+ø+//+y−d+um";			cekim[6] = isimA + "+//+ø+//+y−d+uk";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[0] = isimA + "+//+ø+//+ø−t+um";		cekim[6] = isimA + "+//+ø+//+ø−t+uk";	
						}
						else
						{
						cekim[0] = isimA + "+//+ø+//+ø−d+um";		cekim[6] = isimA + "+//+ø+//+ø−d+uk";	
						}
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + "+//+ø+//+y−d+un";			cekim[7] = isimA + "+//+ø+//+y−d+unuz";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[1] = isimA + "+//+ø+//+ø−t+un";		cekim[7] = isimA + "+//+ø+//+ø−t+unuz";	
						}
						else
						{
						cekim[1] = isimA + "+//+ø+//+ø−d+un";		cekim[7] = isimA + "+//+ø+//+ø−d+unuz";	
						}
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + "+//+ø+//+y−d+uø";			cekim[8] = isimA + "+//+ø+//+y−d+uø[lar]";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[2] = isimA + "+//+ø+//+ø−t+uø";		cekim[8] = isimA + "+//+ø+//+ø−t+uø[lar]";	
						}
						else
						{
						cekim[2] = isimA + "+//+ø+//+ø−d+uø";		cekim[8] = isimA + "+//+ø+//+ø−d+uø[lar]";	
						}					
					}
					break;
				}
				case "ö":
				case "ü":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + "+//+ø+//+y−d+üm";			cekim[6] = isimA + "+//+ø+//+y−d+ük";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[0] = isimA + "+//+ø+//+ø−t+üm";		cekim[6] = isimA + "+//+ø+//+ø−t+ük";	
						}
						else
						{
						cekim[0] = isimA + "+//+ø+//+ø−d+üm";		cekim[6] = isimA + "+//+ø+//+ø−d+ük";	
						}
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + "+//+ø+//+y−d+ün";			cekim[7] = isimA + "+//+ø+//+y−d+ünüz";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[1] = isimA + "+//+ø+//+ø−t+ün";		cekim[7] = isimA + "+//+ø+//+ø−t+ünüz";	
						}
						else
						{
						cekim[1] = isimA + "+//+ø+//+ø−d+ün";		cekim[7] = isimA + "+//+ø+//+ø−d+ünüz";	
						}
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + "+//+ø+//+y−d+üø";			cekim[8] = isimA + "+//+ø+//+y−d+üø[ler]";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[2] = isimA + "+//+ø+//+ø−t+üø";		cekim[8] = isimA + "+//+ø+//+ø−t+üø[ler]";	
						}
						else
						{
						cekim[2] = isimA + "+//+ø+//+ø−d+üø";		cekim[8] = isimA + "+//+ø+//+ø−d+üø[ler]";	
						}					
					}
					break;
				}				
			}
				{
					cekim[3] = isimB + "+ø−d+im";				cekim[9]  = isimB + "+ø−d+ik";
					cekim[4] = isimB + "+ø−d+in";				cekim[10] = isimB + "+ø−d+iniz";
					cekim[5] = isimB + "+ø−d+iø";				cekim[11] = isimB + "+ø−d+iø[ler]";
					break;
				}
		
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
{
			switch (SonVokal(isimT))
			{
				case "a":
				case "ı":
				case "â":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + "+//+ø+//+y−mış+ım";			cekim[6] = isimA + "+//+ø+//+y−mış+ız";
					}
					else
					{
					cekim[0] = isimA + "+//+ø+//+ø−mış+ım";			cekim[6] = isimA + "+//+ø+//+ø−mış+ız";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + "+//+ø+//+y−mış+sın";			cekim[7] = isimA + "+//+ø+//+y−mış+sınız";
					}
					else
					{
					cekim[1] = isimA + "+//+ø+//+ø−mış+sın";			cekim[7] = isimA + "+//+ø+//+ø−mış+sınız";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + "+//+ø+//+y−mış+ø";				cekim[8] = isimA + "+//+ø+//+y−mış+ø[lar]";
					}
					else
					{
					cekim[2] = isimA + "+//+ø+//+ø−mış+ø";				cekim[8] = isimA + "+//+ø+//+ø−mış+ø[lar]";
					}					
					break;
				}
				case "e":
				case "i":
				case "î":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + "+//+ø+//+y−miş+im";			cekim[6] = isimA + "+//+ø+//+y−miş+iz";
					}
					else
					{
					cekim[0] = isimA + "+//+ø+//+ø−miş+im";			cekim[6] = isimA + "+//+ø+//+ø−miş+iz";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + "+//+ø+//+y−miş+sin";			cekim[7] = isimA + "+//+ø+//+y−miş+siniz";
					}
					else
					{
					cekim[1] = isimA + "+//+ø+//+ø−miş+sin";			cekim[7] = isimA + "+//+ø+//+ø−miş+siniz";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + "+//+ø+//+y−miş+ø";				cekim[8] = isimA + "+//+ø+//+y−miş+ø[ler]";
					}
					else
					{
					cekim[2] = isimA + "+//+ø+//+ø−miş+ø";				cekim[8] = isimA + "+//+ø+//+ø−miş+ø[ler]";
					}					
					break;
				}
				case "o":
				case "u":
				case "û":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + "+//+ø+//+y−muş+um";			cekim[6] = isimA + "+//+ø+//+y−muş+uz";
					}
					else
					{
					cekim[0] = isimA + "+//+ø+//+ø−muş+um";			cekim[6] = isimA + "+//+ø+//+ø−muş+uz";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + "+//+ø+//+y−muş+sun";			cekim[7] = isimA + "+//+ø+//+y−muş+sunuz";
					}
					else
					{
					cekim[1] = isimA + "+//+ø+//+ø−muş+sun";			cekim[7] = isimA + "+//+ø+//+ø−muş+sunuz";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + "+//+ø+//+y−muş+ø";				cekim[8] = isimA + "+//+ø+//+y−muş+ø[lar]";
					}
					else
					{
					cekim[2] = isimA + "+//+ø+//+ø−muş+ø";				cekim[8] = isimA + "+//+ø+//+ø−muş+ø[lar]";
					}					
					break;
				}
				case "ö":
				case "ü":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + "+//+ø+//+y−müş+üm";			cekim[6] = isimA + "+//+ø+//+y−müş+üz";
					}
					else
					{
					cekim[0] = isimA + "+//+ø+//+ø−müş+üm";			cekim[6] = isimA + "+//+ø+//+ø−müş+üz";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + "+//+ø+//+y−müş+sün";			cekim[7] = isimA + "+//+ø+//+y−müş+sünüz";
					}
					else
					{
					cekim[1] = isimA + "+//+ø+//+ø−müş+sün";			cekim[7] = isimA + "+//+ø+//+ø−müş+sünüz";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + "+//+ø+//+y−müş+ø";				cekim[8] = isimA + "+//+ø+//+y−müş+ø[ler]";
					}
					else
					{
					cekim[2] = isimA + "+//+ø+//+ø−müş+ø";				cekim[8] = isimA + "+//+ø+//+ø−müş+ø[ler]";
					}					
					break;
				}				
			}
				{
					cekim[3] = isimB + "+ø−miş+im";					cekim[9]  = isimB + "+ø−miş+iz";
					cekim[4] = isimB + "+ø−miş+sin";				cekim[10] = isimB + "+ø−miş+siniz";
					cekim[5] = isimB + "+ø−miş+ø";					cekim[11] = isimB + "+ø−miş+ø[ler]";
					break;
				}
		
			
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
		{
			switch (SonVokal(isimT))
			{
				case "a":
				case "ı":
				case "â":
				case "o":
				case "u":
				case "û":				
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + "+//+ø+//+y−sa+m";				cekim[6] = isimA + "+//+ø+//+y−sa+k";
					}
					else
					{
					cekim[0] = isimA + "+//+ø+//+ø−sa+m";				cekim[6] = isimA + "+//+ø+//+ø−sa+k";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + "+//+ø+//+y−sa+n";				cekim[7] = isimA + "+//+ø+//+y−sa+nız";
					}
					else
					{
					cekim[1] = isimA + "+//+ø+//+ø−sa+n";				cekim[7] = isimA + "+//+ø+//+ø−sa+nız";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + "+//+ø+//+y−sa+ø";				cekim[8] = isimA + "+//+ø+//+y−sa+ø[lar]";
					}
					else
					{
					cekim[2] = isimA + "+//+ø+//+ø−sa+ø";				cekim[8] = isimA + "+//+ø+//+ø−sa+ø[lar]";
					}					
					break;
				}
				case "e":
				case "i":
				case "î":
				case "ö":
				case "ü":				
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + "+//+ø+//+y−se+m";				cekim[6] = isimA + "+//+ø+//+y−se+k";
					}
					else
					{
					cekim[0] = isimA + "+//+ø+//+ø−se+m";				cekim[6] = isimA + "+//+ø+//+ø−se+k";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + "+//+ø+//+y−se+n";				cekim[7] = isimA + "+//+ø+//+y−se+niz";
					}
					else
					{
					cekim[1] = isimA + "+//+ø+//+ø−se+n";				cekim[7] = isimA + "+//+ø+//+ø−se+niz";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + "+//+ø+//+y−se+ø";				cekim[8] = isimA + "+//+ø+//+y−se+ø[ler]";
					}
					else
					{
					cekim[2] = isimA + "+//+ø+//+ø−se+ø";				cekim[8] = isimA + "+//+ø+//+ø−se+ø[ler]";
					}					
					break;
				}
				
			}
				{
					cekim[3] = isimB + "+ø−se+m";					cekim[9]  = isimB + "+ø−se+k";
					cekim[4] = isimB + "+ø−se+n";					cekim[10] = isimB + "+ø−se+niz";
					cekim[5] = isimB + "+ø−se+ø";					cekim[11] = isimB + "+ø−se+ø[ler]";
					break;
				}

		}						// --- "Koşul" kipinin sonu ---
	}   						//   *** Kip seçimin sonu ***
	
	Yaz1(cekim, anlmOgesi);			// Kalıcı vy Geçici bir YÜKLEM İSMİ'nin çekimi için yazdırma işlemini çagır.
}