function GelecekZamanGereklilik(anlmOgesi, kip)
{
	var aciklama1 = "<strong> UYARI (1)! :  et− </strong> yardımcı fiiliyle yapılmış bitişik yazılan birleşik fiiller, ayrı ";
	aciklama1 += "bir veri tabanı gerektirdiği için şimdilik bu programa alınmamıştır. ";
	aciklama1 += "Böyle fiiller ayrık yazılarak doğru sonuç alınabilir.";
	var ornek1 = "<strong> Örnek </strong> : <strong> addet ⇒ add et </strong> şeklinde girilmelidir.";
	
	var aciklama2 = "<strong> UYARI (2) ! : /...−ø−mA.lI/ </strong> eki, seyrek kullanımı olan bir [Gereklilik] <strong> ORTAÇ </strong> ekidir. <strong> ULAÇ KİPİ </strong> eki :  <strong> /...−mA.lI+//+y−ken/ </strong>  biçimindedir. Ayrıca, fiillerden, <strong> <i> - kural degistirmeksizin - </i> </strong> bu ekin yerine <strong> /...−mA/ </strong>  ve <strong> /...−mA.k/ </strong> ekleri getirilerek <strong> EYLEMLİK </strong> ; <strong>/...−mA.k+tA/</strong>, <strong> /...−mA+dAn/ </strong> ve <strong> /...−mA.k+sIz.In/ </strong> ekleri getirilerek de <strong> ULAÇ </strong> yapılır."; 
	aciklama2 += "";
	var ornek2 = "<strong> Örnek </strong> : <strong> ortaç </strong> : <i> *[git-//-meli], *[git-//-memeli] ... </i> ; <strong> ulaç kipi </strong> : <i> git-//-meliyken, git-//-memeliyken </i> ; <strong> eylemlik </strong> : <i> git-//-me, git-//-meme </i> ... ; <i> git-//-mek, git-//-memek </i> ... ;  <strong> ulaç </strong> : <i> git-//-mekte, git-//-memekte </i> ... ; <i> git-//-meden, git-//-meksizin </i>  ... <br> <strong> ortaç </strong> : <i> *[oku-//-malı], *[oku-//-mamalı] </i> ... ; <strong> ulaç kipi </strong> : <i> oku-//-malıyken, oku-//-mamalıyken </i> ; <strong> eylemlik </strong> : <i> oku-//-ma, oku-//-mama </i> ... ; <i> oku-//-mak, oku-//-mamak </i> ... ;  <strong> ulaç </strong> : <i> oku-//-makta, oku-//-mamakta </i> ... ; <i> oku-//-madan </i> ... ; <i> oku-//-maksızın </i>  ... gibi.";
	
	var aciklama3 = ""; 
	aciklama3 += "";
	var ornek3 = "";


	BilgiYaz("Başı Sınırlı Kılışlı Yüklem (Prédicat) : <br> Gelecek Zaman + Gereklilik", "Geçici İsim Eki : /...−ø−mA.lI+.../ &nbsp&nbsp&nbsp&nbsp  --(benzşmz ünsz + benzşr açık ünlü)-- ", " Geçici İsim Eki : /...−mA−mA.lI+.../",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);
	
	if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}
	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var geciciIsimEki;
	var geciciIsimA;
	var geciciIsimB;
	
	var oncesi;
	var sonrasi;	
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);
	
	for (i = 0 ; i < 12 ; i++)
	{
		cekim[i] = "−YOK−";
	}
	
	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	tabanEkiA = "";
	cekmTabniA = anlmOgesi + tabanEkiA;
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
	
	if (SondanIkinciVokal(cekmTabniA) != null)
	{
		cekmTabniASonVokl2 = SondanIkinciVokal(cekmTabniA);
	}
	else
	{
		cekmTabniASonVokl2 = cekmTabniASonVokl1;
	}
	
											// cekmTabniB'yi oluşturma
	
	if (SonDortHarf(anlmOgesi) == "abil")
	{
		tabanEkiB = "ma";
		cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
	}
	else
	{
		if (SonDortHarf(anlmOgesi) == "ebil")
		{
			tabanEkiB = "me";
			cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
		}
		else
		{			
			if (ArtliMi(cekmTabniASonVokl1))
			{
				tabanEkiB = "ma";
			}
			else
			{
				tabanEkiB = "me";
			}
			cekmTabniB = anlmOgesi + sonrasi + tabanEkiB;
		}
	}
	
											// cekmTabniB'yi oluşturmanın sonu
		
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	if (SondanIkinciVokal(cekmTabniB) != null)
	{
		cekmTabniBSonVokl2 = SondanIkinciVokal(cekmTabniB);
	}
	else
	{
		cekmTabniBSonVokl2 = cekmTabnBSonVokl1;
	}
	
	switch (cekmTabniASonVokl1)
	{
		case "a":
		case "ı":
		{
			geciciIsimEki = "malı";
			break;
		}
		case "e":
		case "i":
		{
			geciciIsimEki = "meli";
			break;
		}
		case "o":
		case "u":
		{
			geciciIsimEki = "malı";
			break;
		}
		case "ö":
		case "ü":
		{
			geciciIsimEki = "meli";
			break;
		}
	}
	
	geciciIsimA = cekmTabniA + sonrasi + geciciIsimEki;
	
	switch (cekmTabniBSonVokl1)
	{
		case "a":
		{
			geciciIsimEki = "malı";
			break;
		}
		case "e":
		{
			geciciIsimEki = "meli";
			break;
		}
	}
	
	geciciIsimB = cekmTabniB + geciciIsimEki; 
	
	// değişen kısım başlangıcı
	
	geciciIsimA  = oncesi + " " + geciciIsimA;
	geciciIsimB  = oncesi + " " + geciciIsimB;
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + " mıyım";		cekim[6] = geciciIsimA + " mıyız";
					cekim[1] = geciciIsimA + " mısın"; 		cekim[7] = geciciIsimA + " mısınız";
					cekim[2] = geciciIsimA + " mı";			cekim[8] = geciciIsimA + "[lar] mı";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + " miyim";		cekim[6] = geciciIsimA + " miyiz";
					cekim[1] = geciciIsimA + " misin";		cekim[7] = geciciIsimA + " misiniz";
					cekim[2] = geciciIsimA + " mi";			cekim[8] = geciciIsimA + "[ler] mi";
					break;
				}
			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + " mıyım";		cekim[9] = geciciIsimB + " mıyız";
					cekim[4] = geciciIsimB + " mısın";		cekim[10] = geciciIsimB + " mısınız";
					cekim[5] = geciciIsimB + " mı";			cekim[11] = geciciIsimB + "[lar] mı";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + " miyim";		cekim[9] = geciciIsimB + " miyiz";
					cekim[4] = geciciIsimB + " misin";		cekim[10] = geciciIsimB + " misiniz";
					cekim[5] = geciciIsimB + " mi";			cekim[11] = geciciIsimB + "[ler] mi";
					break;
				}
			}	
			break;
		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + " mıydım";		cekim[6] = geciciIsimA + " mıydık";
					cekim[1] = geciciIsimA + " mıydın";		cekim[7] = geciciIsimA + " mıydınız";
					cekim[2] = geciciIsimA + " mıydı";		cekim[8] = geciciIsimA + " mıydı[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + " miydim";		cekim[6] = geciciIsimA + " miydik";
					cekim[1] = geciciIsimA + " miydin";		cekim[7] = geciciIsimA + " miydiniz";
					cekim[2] = geciciIsimA + " miydi";		cekim[8] = geciciIsimA + " miydi[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + " mıydım";		cekim[9]  = geciciIsimB + " mıydık";
					cekim[4] = geciciIsimB + " mıydın";		cekim[10] = geciciIsimB + " mıydınız";
					cekim[5] = geciciIsimB + " mıydı";		cekim[11] = geciciIsimB + " mıydı[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + " miydim";		cekim[9]  = geciciIsimB + " miydik";
					cekim[4] = geciciIsimB + " miydin";		cekim[10] = geciciIsimB + " miydiniz";
					cekim[5] = geciciIsimB + " miydi";		cekim[11] = geciciIsimB + " miydi[ler]";
					break;
				}
			}
			break;
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + " mıymışım";	cekim[6] = geciciIsimA + " mıymışız";
					cekim[1] = geciciIsimA + " mıymışsın";	cekim[7] = geciciIsimA + " mıymışsınız";
					cekim[2] = geciciIsimA + " mıymış";		cekim[8] = geciciIsimA + " mıymış[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + " miymişim";	cekim[6] = geciciIsimA + " miymişiz";
					cekim[1] = geciciIsimA + " miymişsin";	cekim[7] = geciciIsimA + " miymişsiniz";
					cekim[2] = geciciIsimA + " miymiş";		cekim[8] = geciciIsimA + " miymiş[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + " mıymışım";	cekim[9]  = geciciIsimB + " mıymışız";
					cekim[4] = geciciIsimB + " mıymışsın";	cekim[10] = geciciIsimB + " mıymışsınız";
					cekim[5] = geciciIsimB + " mıymış";		cekim[11] = geciciIsimB + " mıymış[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + " miymişim";	cekim[9]  = geciciIsimB + " miymişiz";
					cekim[4] = geciciIsimB + " miymişsin";	cekim[10] = geciciIsimB + " miymişsiniz";
					cekim[5] = geciciIsimB + " miymiş";		cekim[11] = geciciIsimB + " miymiş[ler]";
					break;
				}
			}
			break;
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + " mıysam";		cekim[6] = geciciIsimA + " mıysak";
					cekim[1] = geciciIsimA + " mıysan";		cekim[7] = geciciIsimA + " mıysanız";
					cekim[2] = geciciIsimA + " mıysa";		cekim[8] = geciciIsimA + " mıysa[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + " miysem";		cekim[6] = geciciIsimA + " miysek";
					cekim[1] = geciciIsimA + " miysen";		cekim[7] = geciciIsimA + " miyseniz";
					cekim[2] = geciciIsimA + " miyse";		cekim[8] = geciciIsimA + " miyse[ler]";
					break;
				}
			}
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + " mıysam";		cekim[9]  = geciciIsimB + " mıysak";
					cekim[4] = geciciIsimB + " mıysan";		cekim[10] = geciciIsimB + " mıysanız";
					cekim[5] = geciciIsimB + " mıysa";		cekim[11] = geciciIsimB + " mıysa[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + " miysem";		cekim[9]  = geciciIsimB + " miysek";
					cekim[4] = geciciIsimB + " miysen";		cekim[10] = geciciIsimB + " miyseniz";
					cekim[5] = geciciIsimB + " miyse";		cekim[11] = geciciIsimB + " miyse[ler]";
					break;
				}
			}
			break;		
		}						// --- "Koşul" kipinin sonu ---
	}   						//   *** Kip seçimin sonu ***
	
	Yaz(cekim, anlmOgesi);
}