function YuklemIsmi(anlmOgesi, kip)			// Kalıcı vy Geçici bir YÜKLEM İSMİ'ni çekime hazırla.
{
	var aciklama1 = "<strong> UYARI (1) ! :</strong>  Dogru sonuç almak için, <strong> Çekilecek Öge </strong> kutusuna <strong> <i> YÜKLEM İSMİ </i> </strong> olabilecek isimler girilmeli ve <strong> Çekim Kalıbı </strong> pdm'nden <strong> [ * YÜKLEM İSMİ * ] </strong> seçilmelidir.";
	aciklama1 += "";
	aciklama1 += "";
	var ornek1 = "<strong> Örnek :</strong> <i> ad, kalp, tat, ...; at, tek, şeb, süt, ...; dogal, tombul, kanat, kagıt, adet, çocuk, ...; kont, ip, hiç, hap, kart, sırt, suç, ...; evde, topraktan, oglumla, yolda mı, ...</i> gibi.";

	var aciklama2 = "<strong> UYARI (2) ! :</strong>  Takdir edersiniz ki, <strong>Türkiyelice</strong>'nin baskın <strong><i>YAZIM KURALLARI</i></strong>'na, degişik sebeplerle uydurulamadıkları için, kendilerine özgü kuralları olan isimlerin hepsini buraya almak, geniş bir sözlük taraması yapmayı gerektirmektedir. Burada, programın 25. - 30. satırları arasında, bu programı geliştirmek isteyenlere, özel kurallarla ilgili örnek kümeler verilmiştir... İlgili kümelere benzer örnekler girerek programın işlerligini artıracak olanlara şimdiden teşekkür ederim."; 
	aciklama2 += "";
	var ornek2 = "<strong> Örnek :</strong> <i> _ad, _kalp, _tat, ...; af, hak, rab, zıt, ...; helal, rol, alkol, ampul, saat, harp, vaat, alet, âdet, hayat, ...; yakıt, kanıt, ...;  dakik, hukuk, ...; ant, cep, genç, kap, kurt, yurt, uç, ... </i> gibi.";

	var aciklama3 = "<strong> UYARI (3) ! : /... i−ken/ </strong> edatı ve bunun ekleşmiş biçimi olan <strong> /...+//+(y)−ken/ </strong> eki, hemen bütün kalıcı ve geçici isimleri (zaman boyutlu) <strong> ULAÇ KİPİ'</strong>ne koyar."; 
	aciklama3 += "";
	var ornek3 = "<strong> Örnek </strong> : <strong> ulaç kipi </strong> : <i> 〈sag i-ken >〉 sag+//+ø-ken, çocuk+//+ø-ken, dinç+//+ø-ken, ... 〈ögrenci i-ken >〉 ögrenci+//+y-ken, yolcu+//+y-ken, ... ;  ev+//+de+//+y-ken, hasta degil+//+ø-ken ... ; başlatır+//+ø-ken, gelmez+//+ø-ken, geliyor+//+ø-ken, okuyacak+//+ø-ken, koşmalı+//+y-ken... </i> ... gibi.";

	BilgiYaz("Oluşlu Yüklem (Attribut) : <br> ", "...+ø+...", "... + degil+...",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);
	
	if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}
		
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var isimEki;
	var isimA;
	var isimA1;
	var isimB;
	
	var isimKD;
	var isimKD2;
	
	var oncesi;
	var sonrasi;
	
	var kuralDisiMi = false;
	var kuralDisiMi2= false;
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);
	
	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	tabanEkiA = "";
	
	var kurallisiYanlis2 	= ["*veet",  	"harp", "_kalp", "vaat", 		"_ad",  "had",  "rab",  		"tıp",  "af",  "hat",  "hak",  "ret" , "şek" , "zıt",  "zül"];
	var kuralDisiDogru2  	= ["*veedd", 	"harb", "_kalb", "vaad", 		"_add", "hadd", "rabb", 		"tıbb", "aff", "hatt", "hakk", "redd", "şekk", "zıdd", "züll"];
	var kurallisiYanlis  	= ["*veedd", 	"harb", "_kalb", "vaad", 		"_add", "hadd", "rabb",																				"faik", "saik", "şahik",		"acul", "ampul", "rol", "alkol", "alveol", "ekol", "etol", "atol", "golf", "antidot", "asfalt", "kanaat", "saat", "arzuhal", "helal", "helak", "normal", "anormal",			"kapkaç", "kıraç", "yeleç", "güleç", "sandviç", "igrenç", "malkoç", "iskoç", "kaçgöç", 		"afak", "", "dakik", "müstehak", "nahak", "mülhak", "muglak", "istihkak", "hukuk", 		"efrasiyap",	 "abdest", "âdet", "ahlat", "alet", "dehşet", "devlet", "kuvvet", "ayet", "şöhret", "anket", "aut", 		"anıt", "aygıt", "kanıt", "konut", "kurut", "yakıt", "yanıt",		"sadist", "ateist", "idealist", "realist", "kemalist", "formalist", "finalist", "rasyonalist", "kapitalist", "komünist", "sosyalist", "solist", "pesimist", "optomist", "hümanist", "piyanist", "makinist", "feminist", "egoist", "senarist", "gitarist", "militarist", "fihrist", "terörist", "turist",		"hayat", "hırvat", "rahat", "sakat", "sanat"];
	var kuralDisiDogru   	= ["*vead",  	"herb", "_kelb", "vaed", 		"_edd", "hedd", "rebb",																				"faık", "saık", "şahık",		"acül", "ampül", "röl", "alköl", "alveöl", "eköl", "etöl", "atöl", "gölf", "antidod", "asfald", "kanaed", "saed", "arzuhel", "helel", "helek", "normel", "anormel",			"kapkac", "kırac", "yelec", "gülec", "sandvic", "igrenc", "malkoc", "iskoc", "kaçgöc", 		"afag", "", "dakig", "müstehag", "nahag", "mülhag", "muglag", "istihkag", "hukug", 		"efrasiyab",	 "abdesd", "âded", "ahlad", "aled", "dehşed", "devled", "kuvved", "ayed", "şöhret", "anked", "aud", 		"anıd", "aygıd", "kanıd", "konud", "kurud", "yakıd", "yanıd",		"sadisd", "ateisd", "idealisd", "realisd", "kemalisd", "formalisd", "finalisd", "rasyonalisd", "kapitalisd", "komünisd", "sosyalisd", "solisd", "pesimisd", "optomisd", "hümanisd", "piyanisd", "makinisd", "feminisd", "egoisd", "senarisd", "gitarisd", "militarisd", "fihrisd", "terörisd", "turisd",		"hayad", "hırvad", "rahad", "sakad", "sanad"];
	
	var tekHeceliKuralDisi 	= ["ant", "art", "cep", "dip", "rop", "baç", "evç", "inç", "taç", "zaç", "lep", "dinç", "linç", "vinç", "hınç", "konç", "punç", "tunç", "harç", "plak", "renk", "denk","borç", "burç", "hurç", "murç", "zevç", "felç", "genç", "güç", "skeç", "kap", "kurt", "yurt", "kürt", "uç", "öç"];
	
	cekmTabniA = anlmOgesi + tabanEkiA;
	
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
		
	tabanEkiB = sonrasi + " degil";

	cekmTabniB = anlmOgesi + tabanEkiB;
	
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	isimEki = "";

	isimA = cekmTabniA + isimEki;
	
	for (i = 0 ; i < kurallisiYanlis2.length ; i++)
	{
		if ( isimA == kurallisiYanlis2[i] )
		{
			isimA = kuralDisiDogru2[i];
			isimKD2 = kurallisiYanlis2[i];
			kuralDisiMi2 = true;
		}
	}
	
    for (i = 0 ; i < kuralDisiDogru.length ; i++)
	{
		if ( isimA == kurallisiYanlis[i] )
		{
			isimA = kuralDisiDogru[i];
			isimKD = kurallisiYanlis[i];
			kuralDisiMi = true;
		}
	 }
	 
	 var tekHeceliKuralDisiMi = false;
	 
	 for (i = 0 ; i < tekHeceliKuralDisi.length ; i++)
	 {
	 	if ( isimA == tekHeceliKuralDisi[i] )
	 	{
	 		tekHeceliKuralDisiMi = true;
	 		break;
	 	}
	 }

	if ((anlmOgesiVoklSayisi > 1 || tekHeceliKuralDisiMi) && OtumsuzMu1(SonHarf(isimA)))
	{
		isimA1 = isimA.substring(0, isimA.length-1) + OtumluYap1(SonHarf(isimA));
	}
	else
	{
		isimA1 = isimA;
	}
	
	isimB = oncesi + " " + cekmTabniB + isimEki; 
	
	// değişen kısım başlangıcı
	
	var isimT;
	
	if (kuralDisiMi)
	{
		isimT = isimA;
		
		if (kuralDisiMi2)
		{		
			isimA = isimKD2;
		}
		else
		{
			isimA = isimKD;
		}
		
		isimA1 = isimKD;
	}
	else
	{
		isimT = isimA;
		
		if (kuralDisiMi2)
		{
			isimA = isimKD2;
		}
	}
		
	isimA  = oncesi + " " + isimA;
	isimA1 = oncesi + " " + isimA1;
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(isimT))
			{
				case "a":
				case "ı":
				case "â":
				{			
					cekim[0] = isimA + sonrasi + " mıyım";			cekim[6] = isimA + sonrasi + " mıyız";
					cekim[1] = isimA + sonrasi + " mısın";	 		cekim[7] = isimA + sonrasi + " mısınız";
					cekim[2] = isimA + sonrasi + " mı";				cekim[8] = isimA + sonrasi + "[lar] mı";
					break;
				}
				case "e":
				case "i":
				case "î":
				{
					cekim[0] = isimA + sonrasi + " miyim";			cekim[6] = isimA + sonrasi + " miyiz";				
					cekim[1] = isimA + sonrasi + " misin";	 		cekim[7] = isimA + sonrasi + " misiniz";
					cekim[2] = isimA + sonrasi + " mi";				cekim[8] = isimA + sonrasi + "[ler] mi";
					break;
				}
				case "o":
				case "u":
				case "û":
				{				
					cekim[0] = isimA  + sonrasi + " muyum";			cekim[6] = isimA  + sonrasi + " muyuz";					
					cekim[1] = isimA  + sonrasi + " musun";	 		cekim[7] = isimA  + sonrasi + " musunuz";
					cekim[2] = isimA  + sonrasi + " mu";			cekim[8] = isimA  + sonrasi + "[lar] mı";
					break;
				}
				case "ö":
				case "ü":
				{				
					cekim[0] = isimA  + sonrasi + " müyüm";			cekim[6] = isimA + sonrasi + " müyüz";					
					cekim[1] = isimA  + sonrasi + " müsün"; 		cekim[7] = isimA  + sonrasi + " müsünüz";
					cekim[2] = isimA  + sonrasi + " mü";			cekim[8] = isimA  + sonrasi + "[ler] mi";
					break;
				}				
			}
			
				{
					cekim[3] = isimB + " miyim";					cekim[9] = isimB + " miyiz";
					cekim[4] = isimB + " misin";					cekim[10] = isimB + " misiniz";
					cekim[5] = isimB + " mi";						cekim[11] = isimB + "[ler] mi";
					break;
				}

		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			switch (SonVokal(isimT))
			{
				case "a":
				case "ı":
				case "â":
				{			
					cekim[0] = isimA + sonrasi + " mıydım";			cekim[6] = isimA + sonrasi + " mıydık";			
					cekim[1] = isimA + sonrasi + " mıydın";			cekim[7] = isimA + sonrasi + " mıydınız";			
					cekim[2] = isimA + sonrasi + " mıydı";			cekim[8] = isimA + sonrasi + " mıydı[lar]";					
					break;
				}
				case "e":
				case "i":
				case "î":
				{				
					cekim[0] = isimA + sonrasi + " miydim";			cekim[6] = isimA + sonrasi + " miydik";			
					cekim[1] = isimA + sonrasi + " miydin";			cekim[7] = isimA + sonrasi + " miydiniz";			
					cekim[2] = isimA + sonrasi + " miydi";			cekim[8] = isimA + sonrasi + " miydi[ler]";
					break;
				}
				case "o":
				case "u":
				case "û":
				{			
					cekim[0] = isimA + sonrasi + " muydum";			cekim[6] = isimA + sonrasi + " muyduk";				
					cekim[1] = isimA + sonrasi + " muydun";			cekim[7] = isimA + sonrasi + " muydunuz";			
					cekim[2] = isimA + sonrasi + " muydu";			cekim[8] = isimA + sonrasi + " muydu[lar]";
					break;
				}
				case "ö":
				case "ü":
				{				
					cekim[0] = isimA + sonrasi + " müydüm";			cekim[6] = isimA + sonrasi + " müydük";
					cekim[1] = isimA + sonrasi + " müydün";			cekim[7] = isimA + sonrasi + " müydünüz";	
					cekim[2] = isimA + sonrasi + " müydü";			cekim[8] = isimA + sonrasi + " müydü[ler]";
					break;
				}				
			}
				{
					cekim[3] = isimB + " miydim";					cekim[9] = isimB + "miydik";
					cekim[4] = isimB + " miydin";					cekim[10] = isimB + "miydiniz";
					cekim[5] = isimB + " miydi";					cekim[11] = isimB + "miydi[ler]";
					break;
				}
		
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
{
			switch (SonVokal(isimT))
			{
				case "a":
				case "ı":
				case "â":
				{				
					cekim[0] = isimA + sonrasi + " mıymışım";		cekim[6] = isimA + sonrasi + " mıymışız";			
					cekim[1] = isimA + sonrasi + " mıymışsın";		cekim[7] = isimA + sonrasi + " mıymışsınız";
					cekim[2] = isimA + sonrasi + " mıymış";			cekim[8] = isimA + sonrasi + " mıymış[lar]";					
					break;
				}
				case "e":
				case "i":
				case "î":
				{			
					cekim[0] = isimA + sonrasi + " miymişim";		cekim[6] = isimA + sonrasi + " miymişiz";		
					cekim[1] = isimA + sonrasi + " miymişsin";		cekim[7] = isimA + sonrasi + " miymişsiniz";			
					cekim[2] = isimA + sonrasi + " miymiş";			cekim[8] = isimA + sonrasi + " miymiş[ler]";				
					break;
				}
				case "o":
				case "u":
				case "û":
				{				
					cekim[0] = isimA + sonrasi + " muymuşum";		cekim[6] = isimA + sonrasi + " muymuşuz";			
					cekim[1] = isimA + sonrasi + " muymuşsun";		cekim[7] = isimA + sonrasi + " muymuşsunuz";	
					cekim[2] = isimA + sonrasi + " muymuş";			cekim[8] = isimA + sonrasi + " muymuş[lar]";					
					break;
				}
				case "ö":
				case "ü":
				{		
					cekim[0] = isimA + sonrasi + " müymüşüm";		cekim[6] = isimA + sonrasi + " müymüşüz";				
					cekim[1] = isimA + sonrasi + " müymüşsün";		cekim[7] = isimA + sonrasi + " müymüşsünüz";		
					cekim[2] = isimA + sonrasi + " müymüş";			cekim[8] = isimA + sonrasi + " müymüş[ler]";				
					break;
				}				
			}
				{
					cekim[3] = isimB + " miymişim";					cekim[9] = isimB + " miymişiz";
					cekim[4] = isimB + " miymişsin";				cekim[10] = isimB + " miymişsiniz";
					cekim[5] = isimB + " miymiş";					cekim[11] = isimB + " miymiş[ler]";
					break;
				}
		
			
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
		{
			switch (SonVokal(isimT))
			{
				case "a":
				case "ı":
				case "â":
				{				
					cekim[0] = isimA + sonrasi + " mıysam";		cekim[6] = isimA + sonrasi + " mıysak";				
					cekim[1] = isimA + sonrasi + " mıysan";		cekim[7] = isimA + sonrasi + " mıysanız";				
					cekim[2] = isimA + sonrasi + " mıysa";		cekim[8] = isimA + sonrasi + " mıysa[lar]";					
					break;
				}
				case "e":
				case "i":
				case "î":
				{			
					cekim[0] = isimA + sonrasi + " miysem";		cekim[6] = isimA + sonrasi + " miysek";				
					cekim[1] = isimA + sonrasi + " miysen";		cekim[7] = isimA + sonrasi + " miyseniz";			
					cekim[2] = isimA + sonrasi + " miyse";		cekim[8] = isimA + sonrasi + " miyse[ler]";					
					break;
				}
				case "o":
				case "u":
				case "û":
				{			
					cekim[0] = isimA + sonrasi + " muysam";		cekim[6] = isimA + sonrasi + " muysak";			
					cekim[1] = isimA + sonrasi + " muysan";		cekim[7] = isimA + sonrasi + " muysanız";			
					cekim[2] = isimA + sonrasi + " muysa";		cekim[8] = isimA + sonrasi + " muysa[lar]";				
					break;
				}
				case "ö":
				case "ü":
				{				
					cekim[0] = isimA + sonrasi + " müysem";		cekim[6] = isimA + sonrasi + " müysek";				
					cekim[1] = isimA + sonrasi + " müysen";		cekim[7] = isimA + sonrasi + " müyseniz";			
					cekim[2] = isimA + sonrasi + " müyse";		cekim[8] = isimA + sonrasi + " müyse[ler]";					
					break;
				}				
			}
				{
					cekim[3] = isimB + " miysem";				cekim[9] = isimB + " miysek";
					cekim[4] = isimB + " miysen";				cekim[10] = isimB + " miyseniz";
					cekim[5] = isimB + " miyse";				cekim[11] = isimB + " miyse[ler]";
					break;
				}

		}						// --- "Koşul" kipinin sonu ---
	}   						//   *** Kip seçimin sonu ***
	
	Yaz1(cekim, anlmOgesi);			// Kalıcı vy Geçici bir YÜKLEM İSMİ'nin çekimi için yazdırma işlemini çagır.
}

