function GelecekZaman(anlmOgesi, kip)
{
	var aciklama1 = "<strong> UYARI (1) ! :  et− </strong> yardımcı fiiliyle yapılmış bitişik yazılan birleşik fiiller, ayrı ";
	aciklama1 += "bir veri tabanı gerektirdiği için şimdilik bu programa alınmamıştır. ";
	aciklama1 += "Böyle fiiller ayrık yazılarak doğru sonuç alınabilir.";
	var ornek1 = "<strong> Örnek </strong> : <strong> addet ⇒ add et </strong> şeklinde girilmelidir.";
	
	var aciklama2 = "<strong> UYARI (2) ! : /...−(y)A.cA.K/ </strong> eki, aynı zamanda [Gelecek Zaman] <strong> ORTAÇ </strong> eklerindendir. <strong> ULAÇ KİPİ </strong> eki : <strong> /...−(y)A.cA.k+//+ø−ken/ </strong> biçimindedir. Ayrıca, fiillerden, <strong> <i> - kural degistirmeksizin - </i> </strong> bu ekin yerine <strong> /...−(y)A.n/ </strong> , <strong> /...−(y)A.sI/ </strong> gibi ekler getirilerek diger birkaç [Geniş Zaman] <strong> ORTAÇ </strong> ve <strong>/...−(y)A/ </strong> ve <strong> /...−(y)A.rA.k/ </strong> ekleri getirilerek de <strong> ULAÇ </strong> yapılır."; 
	aciklama2 += "";
	var ornek2 = "<strong> Örnek </strong> : <strong> ortaç </strong> : <i> gid-//-ecek, git-//-meyecek </i> ... ; <strong> ulaç kipi </strong> : <i> gid-//-ecekken, git-//-meyecekken </i> ... ; <strong> ortaç </strong> : <i> gid-//-en, git-//-meyen ... ; gid-//-esi, git-//-meyesi </i> ... ; <strong> ulaç </strong> : <i> gid-//-e, git-//-meye </i> ... ; <i> gid-//-erek, git-//-meyerek </i> ... <br> <strong> ortaç </strong> : <i> oku-//-yacak, oku-//-mayacak </i> ... ; <strong> ulaç kipi </strong> : <i> oku-//-yacakken, oku-//-mayacakken </i> ... ; <strong> ortaç </strong> : <i> oku-//-yan, oku-//-mayan ... ; oku-//-yası, oku-//-mayası </i> ... ; <strong> ulaç </strong> : <i> oku-//-ya, oku-//-maya ... </i> ; <i> oku-//-yarak, oku-//-mayarak </i> ... gibi.";
	
	var aciklama3 = ""; 
	aciklama3 += "";
	var ornek3 = "";

	BilgiYaz("Başı Sınırlı Kılışlı Yüklem (Prédicat) : <br> Gelecek Zaman", "Geçici İsim Eki : /...−ø−(y)A.cA.K+.../ &nbsp&nbsp&nbsp&nbsp  --(oynak ünsz + benzşr açık ünlü)-- ", " Geçici İsim Eki : /...−mA−yA.cA.K+.../",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);	
											  
	if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}
	
	var kurallisiYanlis = ["sanç−//−ø−", "tat−//−ø−", "et−//−ø−", "dit−//−ø−", "git−//−ø−", "güt−//−ø−", "de−//−ø−", "ye−//−ø−"]
	var kuralDisiDogru  = ["sanc−//−ø−", "tad−//−ø−", "ed−//−ø−", "did−//−ø−", "gid−//−ø−", "güd−//−ø−", "di−//−ø−", "yi−//−ø−"]
	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var geciciIsimEki;
	var geciciIsimA;
	var geciciIsimB;
	
	var oncesi;
	var sonrasi;	
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);
	 	
	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	
	tabanEkiA = "−ø−";
	cekmTabniA = anlmOgesi + "−//" + tabanEkiA;
	
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
	
	for (i = 0 ; i < kuralDisiDogru.length ; i++)
	{
		if ( cekmTabniA == kurallisiYanlis[i])
		{
			cekmTabniA = kuralDisiDogru[i];
		}
	}
	for (i = 0 ; i < kuralDisiDogru.length ; i++)
	{
		if ( cekmTabniA == kurallisiYanlis[i])
		{
			cekmTabniA = kuralDisiDogru[i];
		}
	 }	
		
	if (SondanIkinciVokal(cekmTabniA) != null)
	{
		cekmTabniASonVokl2 = SondanIkinciVokal(cekmTabniA);
	}
	else
	{
		cekmTabniASonVokl2 = cekmTabniASonVokl1;
	}
	
												// cekmTabniB'yi oluşturma
	
	if (SonDortHarf(anlmOgesi) == "abil")
	{
		tabanEkiB = "+−//−ma";
		cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
	}
	else
	{
		if (SonDortHarf(anlmOgesi) == "ebil")
		{
			tabanEkiB = "+−//−me";
			cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
		}
		else
		{			
			if (ArtliMi(cekmTabniASonVokl1))
			{
				tabanEkiB = "−ma";
			}
			else
			{
				tabanEkiB = "−me";
			}
			cekmTabniB = anlmOgesi + "−//" + tabanEkiB;
		}
	}
	
											// cekmTabniB'yi oluşturmanın sonu	
											
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	if (SondanIkinciVokal(cekmTabniB) != null)
	{
		cekmTabniBSonVokl2 = SondanIkinciVokal(cekmTabniB);
	}
	else
	{
		cekmTabniBSonVokl2 = cekmTabnBSonVokl1;
	}
	
	switch (cekmTabniASonVokl1)
	{
		case "a":
		case "ı":
		case "o":
		case "u":
		{
			geciciIsimEki = "a.cak";
			geciciIsimEki1 = "a.cag";
			
			break;
		}
		case "e":
		case "i":
		case "ö":
		case "ü":
		{
			geciciIsimEki = "e.cek";
			geciciIsimEki1 = "e.ceg";
			break;
		}

	}
	
	if (VokalMi(SonHarf(anlmOgesi)))
	{
		geciciIsimA = cekmTabniA + "y" + geciciIsimEki;
		geciciIsimA1 = cekmTabniA + "y" + geciciIsimEki1;
	}
	else
	{
		geciciIsimA = cekmTabniA + geciciIsimEki;
		geciciIsimA1 = cekmTabniA + geciciIsimEki1;
	}
	
	switch (cekmTabniBSonVokl1)
	{
		case "a":
		{
			geciciIsimEki = "−ya.cak";
			geciciIsimEki1 = "−ya.cag";
			break;
		}
		case "e":
		{
			geciciIsimEki = "−ye.cek";
			geciciIsimEki1 = "−ye.ceg";
			break;
		}
	}
	
	geciciIsimB = cekmTabniB + geciciIsimEki;
	geciciIsimB1 = cekmTabniB + geciciIsimEki1;
	
	// değişen kısım başlangıcı
	
	geciciIsimA  = oncesi + " " + geciciIsimA;
	geciciIsimA1  = oncesi + " " + geciciIsimA1;
	geciciIsimB  = oncesi + " " + geciciIsimB;	
	geciciIsimB1  = oncesi + " " + geciciIsimB1;
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA1 + "+//+ø−ø+ım";		cekim[6] = geciciIsimA1 + "+//+ø−ø+ız";
					cekim[1] = geciciIsimA  + "+//+ø−ø+sın"; 	cekim[7] = geciciIsimA  + "+//+ø−ø+sınız";
					cekim[2] = geciciIsimA  + "+//+ø−ø+ø";		cekim[8] = geciciIsimA  + "+//+ø−ø+ø[lar]";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA1 + "+//+ø−ø+im";		cekim[6] = geciciIsimA1 + "+//+ø−ø+iz";
					cekim[1] = geciciIsimA + "+//+ø−ø+sin";		cekim[7] = geciciIsimA  + "+//+ø−ø+siniz";
					cekim[2] = geciciIsimA + "+//+ø−ø+ø";		cekim[8] = geciciIsimA  + "+//+ø−ø+ø[ler]";
					break;
				}
			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB1 + "+//+ø−ø+ım";		cekim[9] = geciciIsimB1 + "+//+ø−ø+ız";
					cekim[4] = geciciIsimB  + "+//+ø−ø+sın";	cekim[10] = geciciIsimB + "+//+ø−ø+sınız";
					cekim[5] = geciciIsimB  + "+//+ø−ø+ø";		cekim[11] = geciciIsimB + "+//+ø−ø+ø[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB1 + "+//+ø−ø+im";		cekim[9] = geciciIsimB1 + "+//+ø−ø+iz";
					cekim[4] = geciciIsimB  + "+//+ø−ø+sin";	cekim[10] = geciciIsimB + "+//+ø−ø+siniz";
					cekim[5] = geciciIsimB  + "+//+ø−ø+ø";		cekim[11] = geciciIsimB + "+//+ø−ø+ø[ler]";
					break;
				}
			}	
			break;
		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA + "+//+ø−t+ım";				cekim[6] = geciciIsimA + "+//+ø−t+ık";
					cekim[1] = geciciIsimA + "+//+ø−t+ın";				cekim[7] = geciciIsimA + "+//+ø−t+ınız";
					cekim[2] = geciciIsimA + "+//+ø−t+ıø";				cekim[8] = geciciIsimA + "+//+ø−t+ıø[lar]";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA + "+//+ø−t+im";				cekim[6] = geciciIsimA + "+//+ø−t+ik";
					cekim[1] = geciciIsimA + "+//+ø−t+in";				cekim[7] = geciciIsimA + "+//+ø−t+iniz";
					cekim[2] = geciciIsimA + "+//+ø−t+iø";				cekim[8] = geciciIsimA + "+//+ø−t+iø[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + "+//+ø−t+ım";				cekim[9]  = geciciIsimB + "+//+ø−t+ık";
					cekim[4] = geciciIsimB + "+//+ø−t+ın";				cekim[10] = geciciIsimB + "+//+ø−t+ınız";
					cekim[5] = geciciIsimB + "+//+ø−t+ıø";				cekim[11] = geciciIsimB + "+//+ø−t+ıø[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + "+//+ø−t+im";				cekim[9]  = geciciIsimB + "+//+ø−t+ik";
					cekim[4] = geciciIsimB + "+//+ø−t+in";				cekim[10] = geciciIsimB + "+//+ø−t+iniz";
					cekim[5] = geciciIsimB + "+//+ø−t+iø";				cekim[11] = geciciIsimB + "+//+ø−t+iø[ler]";
					break;
				}
			}
			break;
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA + "+//+ø−mış+ım";		cekim[6] = geciciIsimA + "+//+ø−mış+ız";
					cekim[1] = geciciIsimA + "+//+ø−mış+sın";	 	cekim[7] = geciciIsimA + "+//+ø−mış+sınız";
					cekim[2] = geciciIsimA + "+//+ø−mış+ø";			cekim[8] = geciciIsimA + "+//+ø−mış+ø[lar]";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA + "+//+ø−miş+im";		cekim[6] = geciciIsimA + "+//+ø−miş+iz";
					cekim[1] = geciciIsimA + "+//+ø−miş+sin";		cekim[7] = geciciIsimA + "+//+ø−miş+siniz";
					cekim[2] = geciciIsimA + "+//+ø−miş+ø";			cekim[8] = geciciIsimA + "+//+ø−miş+ø[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + "+//+ø−mış+ım";		cekim[9] = geciciIsimB  + "+//+ø−mış+ız";
					cekim[4] = geciciIsimB + "+//+ø−mış+sın";		cekim[10] = geciciIsimB + "+//+ø−mış+sınız";
					cekim[5] = geciciIsimB + "+//+ø−mış+ø";			cekim[11] = geciciIsimB + "+//+ø−mış+ø[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + "+//+ø−miş+im";		cekim[9] = geciciIsimB  + "+//+ø−miş+iz";
					cekim[4] = geciciIsimB + "+//+ø−miş+sin";		cekim[10] = geciciIsimB + "+//+ø−miş+siniz";
					cekim[5] = geciciIsimB + "+//+ø−miş+ø";			cekim[11] = geciciIsimB + "+//+ø−miş+ø[ler]";
					break;
				}
			}
			break;
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA + "+//+ø−sa+m";			cekim[6] = geciciIsimA + "+//+ø−sa+k";
					cekim[1] = geciciIsimA + "+//+ø−sa+n"; 			cekim[7] = geciciIsimA + "+//+ø−sa+nız";
					cekim[2] = geciciIsimA + "+//+ø−sa+ø";			cekim[8] = geciciIsimA + "+//+ø−sa+ø[lar]";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA + "+//+ø-se+m";			cekim[6] = geciciIsimA + "+//+ø-se+k";
					cekim[1] = geciciIsimA + "+//+ø-se+n";			cekim[7] = geciciIsimA + "+//+ø-se+niz";
					cekim[2] = geciciIsimA + "+//+ø-se+ø";			cekim[8] = geciciIsimA + "+//+ø-se+ø[ler]";
					break;
				}
			}
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + "+//+ø−sa+m";		cekim[9] = geciciIsimB  + "+//+ø−sa+k";
					cekim[4] = geciciIsimB + "+//+ø−sa+n";		cekim[10] = geciciIsimB + "+//+ø−sa+nız";
					cekim[5] = geciciIsimB + "+//+ø−sa+ø";		cekim[11] = geciciIsimB + "+//+ø−sa+ø[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + "+//+ø−se+m";		cekim[9] = geciciIsimB +  "+//+ø−se+k";
					cekim[4] = geciciIsimB + "+//+ø−se+n";		cekim[10] = geciciIsimB + "+//+ø−se+niz";
					cekim[5] = geciciIsimB + "+//+ø−se+ø";		cekim[11] = geciciIsimB + "+//+ø−se+ø[ler]";
					break;
				}
			}
			break;		
		}						// --- "Koşul" kipinin sonu ---
	}   						//   *** Kip seçimin sonu ***
	
	Yaz(cekim, anlmOgesi);
}

