function SimdikiZaman(anlmOgesi, kip)	// Fiilden yapılmış, ŞİMDİKİ ZAMAN'da Geçici bir YÜKLEM İSMİ'ni çekime hazırla.
{
	var aciklama1 = "<strong> UYARI (1) ! :  et− </strong> yardımcı fiiliyle yapılmış bitişik yazılan birleşik fiiller, ayrı ";
	aciklama1 += "bir veri tabanı gerektirdiği için şimdilik bu programa alınmamıştır. ";
	aciklama1 += "Böyle fiiller ayrık yazılarak doğru sonuç alınabilir.";
	var ornek1 = "<strong> Örnek </strong> : <strong> addet ⇒ add et </strong> şeklinde girilmelidir.";

	var aciklama2 = "<strong> UYARI (2) ! : /...−(I).yor/ </strong> eki, aynı zamanda [Şimdiki Zaman] <strong> ORTAÇ </strong> eklerinden biri olabilirdi. <strong> ULAÇ KİPİ </strong> eki :  <strong> Edimli: /...−(I).yor+//+ø−ken/ </strong>,  <strong> Edimsiz: /...−mI−ø.yor+//+ø−ken/ </strong> biçimlerindedir."; 
	aciklama2 += "";
	var ornek2 = "<strong> Örnek </strong> : <strong> ortaç </strong> : <i> *[gid-//-iyor], *[git-//-miyor] ... </i> ; <strong> ulaç kipi </strong> : <i> gid-//-iyorken, git-//-miyorken </i>  ... <br> <strong> ortaç </strong> : <i> *[oku-//-yor], *[oku-//-muyor] </i> ... ; <strong> ulaç kipi </strong> : <i> oku-//-yorken, oku-//-muyorken </i>  ... gibi.";
	
	var aciklama3 = ""; 
	aciklama3 += "";
	var ornek3 = "";

	BilgiYaz("Başı Sınırlı Kılışlı Yüklem (Prédicat) : <br> Şimdiki Zaman", "Geçici İsim Eki : /...−ø−(I).yor−ø+.../ &nbsp&nbsp&nbsp&nbsp  --(benzşr/benzştrr oynak kaplı ünlü)-- ", " Geçici İsim Eki : /...−mI−ø.yor−ø+.../",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);

	if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}
	
	var kurallisiYanlis = ["sanç−//−ø−ı.yor", "tat−//−ø−ı.yor", "et−//−ø−i.yor", "dit−//−ø−i.yor", "git−//−ø−i.yor", "güt−//−ø−ü.yor", "ko−//−øu.yor"];
	var kuralDisiDogru  = ["sanc−//−ø−ı.yor", "tad−//−ø−ı.yor", "ed−//−ø−i.yor", "did−//−ø−i.yor", "gid−//−ø−i.yor", "güd−//−ø−ü.yor", "koy−//−øu.yor"];
	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var geciciIsimEki;
	var geciciIsimA;
	var geciciIsimB;
	
	var oncesi;
	var sonrasi;	
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);

	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	tabanEkiA = "−ø−";
//	cekmTabniA = anlmOgesi + "−//" + tabanEkiA;
	cekmTabniASonHrfi = SonHarf(anlmOgesi);
	cekmTabniASonVokl1 = SonVokal(anlmOgesi);
	
	if (SondanIkinciVokal(anlmOgesi) != null)
	{
		cekmTabniASonVokl2 = SondanIkinciVokal(anlmOgesi);
	}
	else
	{
		cekmTabniASonVokl2 = cekmTabniASonVokl1;
	}
	
												// cekmTabniB'yi oluşturma
	
	if (SonDortHarf(anlmOgesi) == "abil")
	{
		tabanEkiB = "+−//−ma";
		cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
	}
	else
	{
		if (SonDortHarf(anlmOgesi) == "ebil")
		{
			tabanEkiB = "+−//−me";
			cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
		}
		else
		{			
			if (ArtliMi(cekmTabniASonVokl1))
			{
				tabanEkiB = "−ma";
			}
			else
			{
				tabanEkiB = "−me";
			}
			cekmTabniB = anlmOgesi + "−//" + tabanEkiB;
		}
	}
	
											// cekmTabniB'yi oluşturmanın sonu	
	
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	if (SondanIkinciVokal(cekmTabniB) != null)
	{
		cekmTabniBSonVokl2 = SondanIkinciVokal(cekmTabniB);
	}
	else
	{
		cekmTabniBSonVokl2 = cekmTabniBSonVokl1;
	}
	
	if (VokalMi(SonHarf(anlmOgesi)))                //  YENİDEN YAPILACAK KISIM BURADAN BAŞLAYACAK
	{
		var donusenVokal = KapaliYap(cekmTabniASonVokl2);
		var l = anlmOgesi.length;
		
		cekmTabniA = anlmOgesi.substr(0, l-1) + donusenVokal + "−//" + tabanEkiA + "ø";
//		cekmTabniA = cekmTabniA.substr(0, l-1) + donusenVokal;
	}
	else
	{
		var eklenenVokal = KapaliYap(cekmTabniASonVokl1);
		cekmTabniA = anlmOgesi + "−//" + tabanEkiA + eklenenVokal;
//		cekmTabniA += eklenenVokal;
	}
	
	geciciIsimEki = ".yor";
	
	geciciIsimA = cekmTabniA + geciciIsimEki;
	
	if (anlmOgesiVoklSayisi == 1)
	{
		for (i = 0 ; i < kuralDisiDogru.length ; i++)
		{
			if ( geciciIsimA == kurallisiYanlis[i])
			{
				geciciIsimA = kuralDisiDogru[i];
			}
		 }
	}
	 
	var donusenVokal = KapaliYap(cekmTabniBSonVokl2);
	var l = cekmTabniB.length;
	cekmTabniB = cekmTabniB.substr(0, l-1) + donusenVokal;

	geciciIsimEki = "−ø.yor";
	
	geciciIsimB = cekmTabniB + geciciIsimEki; 
	
	// değişen kısım başlangıcı
	
	geciciIsimA  = oncesi + " " + geciciIsimA;
	geciciIsimB  = oncesi + " " + geciciIsimB;


	switch (kip)
	{
		case "olay":
		{
			cekim[0] = geciciIsimA + "+//+ø−ø+um";		cekim[6] = geciciIsimA + "+//+ø−ø+uz";
			cekim[1] = geciciIsimA + "+//+ø−ø+sun"; 	cekim[7] = geciciIsimA + "+//+ø−ø+sunuz";
			cekim[2] = geciciIsimA + "+//+ø−ø+ø";		cekim[8] = geciciIsimA + "+//+ø−ø+ø[lar]";
			
			cekim[3] = geciciIsimB + "+//+ø−ø+um";		cekim[9] =  geciciIsimB + "+//+ø−ø+uz";
			cekim[4] = geciciIsimB + "+//+ø−ø+sun";		cekim[10] = geciciIsimB + "+//+ø−ø+sunuz";
			cekim[5] = geciciIsimB + "+//+ø−ø+ø";		cekim[11] = geciciIsimB + "+//+ø−ø+ø[lar]";

			break;
		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			cekim[0] = geciciIsimA + "+//+ø−d+um";		cekim[6] = geciciIsimA + "+//+ø−d+uk";
			cekim[1] = geciciIsimA + "+//+ø−d+un";		cekim[7] = geciciIsimA + "+//+ø−d+unuz";
			cekim[2] = geciciIsimA + "+//+ø−d+uø";		cekim[8] = geciciIsimA + "+//+ø−d+uø[lar]";

			cekim[3] = geciciIsimB + "+//+ø−d+um";		cekim[9]  = geciciIsimB + "+//+ø−d+uk";
			cekim[4] = geciciIsimB + "+//+ø−d+un";		cekim[10] = geciciIsimB + "+//+ø−d+unuz";
			cekim[5] = geciciIsimB + "+//+ø−d+uø";		cekim[11] = geciciIsimB + "+//+ø−d+uø[lar]";

			break;
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
		{
			cekim[0] = geciciIsimA + "+//+ø−muş+um";	cekim[6] = geciciIsimA + "+//+ø−muş+uz";
			cekim[1] = geciciIsimA + "+//+ø−muş+sun";	cekim[7] = geciciIsimA + "+//+ø−muş+sunuz";
			cekim[2] = geciciIsimA + "+//+ø−muş+ø";		cekim[8] = geciciIsimA + "+//+ø−muş+ø[lar]";

			cekim[3] = geciciIsimB + "+//+ø−muş+um";	cekim[9]  = geciciIsimB + "+//+ø−muş+uz";
			cekim[4] = geciciIsimB + "+//+ø−muş+sun";	cekim[10] = geciciIsimB + "+//+ø−muş+sunuz";
			cekim[5] = geciciIsimB + "+//+ø−muş+ø";		cekim[11] = geciciIsimB + "+//+ø−muş+ø[lar]";

			break;
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
		{
			cekim[0] = geciciIsimA + "+//+ø−sa+m";		cekim[6] = geciciIsimA + "+//+ø−sa+k";
			cekim[1] = geciciIsimA + "+//+ø−sa+n";		cekim[7] = geciciIsimA + "+//+ø−sa+nız";
			cekim[2] = geciciIsimA + "+//+ø−sa+ø";		cekim[8] = geciciIsimA + "+//+ø−sa+ø[lar]";
			
			cekim[3] = geciciIsimB + "+//+ø−sa+m";		cekim[9]  = geciciIsimB + "+//+ø−sa+k";
			cekim[4] = geciciIsimB + "+//+ø−sa+n";		cekim[10] = geciciIsimB + "+//+ø−sa+nız";
			cekim[5] = geciciIsimB + "+//+ø−sa+ø";		cekim[11] = geciciIsimB + "+//+ø−sa+ø[lar]";

			break;	
		}						// --- "Koşul" kipinin sonu ---
	}							//   *** Kip seçimin sonu ***
	
	Yaz(cekim, anlmOgesi);			// Fiilden yapılmış, ŞİMDİKİ ZAMAN'da Geçici bir YÜKLEM İSMİ'nin çekimi için yazdırma işlemini çagır.
}
