function TaniksizGecmisZaman(anlmOgesi, kip)
{
	var aciklama1 = "<strong> UYARI (1) ! :  et− </strong> yardımcı fiiliyle yapılmış bitişik yazılan birleşik fiiller, ayrı ";
	aciklama1 += "bir veri tabanı gerektirdiği için şimdilik bu programa alınmamıştır. ";
	aciklama1 += "Böyle fiiller ayrık yazılarak doğru sonuç alınabilir.";
	var ornek1 = "<strong> Örnek </strong> : <strong> addet ⇒ add et </strong> şeklinde girilmelidir.";
	
	var aciklama2 = "<strong> UYARI (2) ! : /...−mIş/ </strong> eki, aynı zamanda [Geçmiş Zaman] <strong> ORTAÇ </strong> eklerindendir. <strong> ULAÇ KİPİ </strong> eki : <strong> /...−mIş+//+ø−ken/ </strong> biçimindedir. Ayrıca, fiillerden, <strong> <i> - kural degistirmeksizin - </i> </strong> bu ekin yerine <strong> /...−mA/ </strong>  ve <strong> /...−mA.k/ </strong> ekleri getirilerek <strong> EYLEMLİK </strong> ; <strong>/...−mA.k+tA/</strong>, <strong> /...−mA+dAn/ </strong> ve <strong> /...−mA.k+sIz.In/ </strong> ekleri getirilerek de <strong> ULAÇ </strong> yapılır."; 
	aciklama2 += "";
	var ornek2 = "<strong> Örnek </strong> : <strong> ortaç </strong> : <i> git-//-miş, git-//-memiş </i> ... ; <strong> ulaç kipi </strong> : <i>git-//-mişken, git-//-memişken </i> ... ; <strong> eylemlik </strong> : <i> git-//-me, git-//-meme </i> ... ; <i> git-//-mek, git-//-memek </i> ... ;  <strong> ulaç </strong> : <i> git-//-mekte, git-//-memekte </i> ... ; <i> git-//-meden, git-//-meksizin </i> ... <br> <strong> ortaç </strong> : <i> oku-//-muş, oku-//-mamış </i> ... ; <strong> ulaç kipi </strong> : <i> oku-//-muşken, oku-//-mamışken </i> ... ;  <strong> eylemlik </strong> : <i> oku-//-ma, oku-//-mama </i> ... ; <i> oku-//-mak, oku-//-mamak </i> ... ;  <strong> ulaç </strong> : <i> oku-//-makta, oku-//-mamakta </i> ... ; <i> oku-//-madan </i> ... ; <i> oku-//-maksızın </i> ... gibi.";

	var aciklama3 = ""; 
	aciklama3 += "";
	var ornek3 = "";

	BilgiYaz("Sonu Sınırlı Kılışlı Yüklem (Prédicat) : <br> Tanıksız Geçmiş Zaman", "Geçici İsim Eki : /...−ø−mIş+.../ &nbsp&nbsp&nbsp&nbsp  --(benzşmz ünsz + benzşr kaplı ünlü)--",
	" Geçici İsim Eki : /...−mA−mIş+.../",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);
	
		if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}
	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var geciciIsimEki;
	var geciciIsimA;
	var geciciIsimB;
	
	var oncesi;
	var sonrasi;	
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);
		
	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	
	tabanEkiA = "−ø";
	cekmTabniA = anlmOgesi + "−//" + tabanEkiA;
	
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
	
	if (SondanIkinciVokal(cekmTabniA) != null)
	{
		cekmTabniASonVokl2 = SondanIkinciVokal(cekmTabniA);
	}
	else
	{
		cekmTabniASonVokl2 = cekmTabniASonVokl1;
	}
	
												// cekmTabniB'yi oluşturma
	
	if (SonDortHarf(anlmOgesi) == "abil")
	{
		tabanEkiB = "+−//−ma";
		cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
	}
	else
	{
		if (SonDortHarf(anlmOgesi) == "ebil")
		{
			tabanEkiB = "+−//−me";
			cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
		}
		else
		{			
			if (ArtliMi(cekmTabniASonVokl1))
			{
				tabanEkiB = "−ma";
			}
			else
			{
				tabanEkiB = "−me";
			}
			cekmTabniB = anlmOgesi + "−//" + tabanEkiB;
		}
	}
	
											// cekmTabniB'yi oluşturmanın sonu
	
	
	
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	if (SondanIkinciVokal(cekmTabniB) != null)
	{
		cekmTabniBSonVokl2 = SondanIkinciVokal(cekmTabniB);
	}
	else
	{
		cekmTabniBSonVokl2 = cekmTabnBSonVokl1;
	}
	
	switch (cekmTabniASonVokl1)
	{
		case "a":
		case "ı":
		{
			geciciIsimEki = "−mış";
			break;
		}
		case "e":
		case "i":
		{
			geciciIsimEki = "−miş";
			break;
		}
		case "o":
		case "u":
		{
			geciciIsimEki = "−muş";
			break;
		}
		case "ö":
		case "ü":
		{
			geciciIsimEki = "−müş";
			break;
		}
	}
	
	geciciIsimA = cekmTabniA + geciciIsimEki;
	
	switch (cekmTabniBSonVokl1)
	{
		case "a":
		{
			geciciIsimEki = "−mış";
			break;
		}
		case "e":
		{
			geciciIsimEki = "−miş";
			break;
		}
	}
	
	geciciIsimB = cekmTabniB + geciciIsimEki; 
	
		// değişen kısım başlangıcı
		
	geciciIsimA  = oncesi + " " + geciciIsimA;
	geciciIsimB  = oncesi + " " + geciciIsimB;
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + "+//+ø−ø+ım";			cekim[6] = geciciIsimA + "+//+ø−ø+ız";
					cekim[1] = geciciIsimA + "+//+ø−ø+sın"; 		cekim[7] = geciciIsimA + "+//+ø−ø+sınız";
					cekim[2] = geciciIsimA + "+//+ø−ø+ø";			cekim[8] = geciciIsimA + "+//+ø−ø+ø[+lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + "+//+ø−ø+im";			cekim[6] = geciciIsimA + "+//+ø−ø+iz";
					cekim[1] = geciciIsimA + "+//+ø−ø+sin";			cekim[7] = geciciIsimA + "+//+ø−ø+siniz";
					cekim[2] = geciciIsimA + "+//+ø−ø+ø";			cekim[8] = geciciIsimA + "+//+ø−ø+ø[+ler]";
					break;
				}
				case "u":
				{
					cekim[0] = geciciIsimA + "+//+ø−ø+um";			cekim[6] = geciciIsimA + "+//+ø−ø+uz";
					cekim[1] = geciciIsimA + "+//+ø−ø+sun";			cekim[7] = geciciIsimA + "+//+ø−ø+sunuz";
					cekim[2] = geciciIsimA + "+//+ø−ø+ø";			cekim[8] = geciciIsimA + "+//+ø−ø+ø[+lar]";
					break;
				}

				case "ü":
				{
					cekim[0] = geciciIsimA + "+//+ø−ø+üm";			cekim[6] = geciciIsimA + "+//+ø−ø+üz";
					cekim[1] = geciciIsimA + "+//+ø−ø+sün";			cekim[7] = geciciIsimA + "+//+ø−ø+sünüz";
					cekim[2] = geciciIsimA + "+//+ø−ø+ø";			cekim[8] = geciciIsimA + "+//+ø−ø+ø[+ler]";
					break;
				}
			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "+//+ø−ø+ım";			cekim[9] = geciciIsimB +  "+//+ø−ø+ız";
					cekim[4] = geciciIsimB + "+//+ø−ø+sın";			cekim[10] = geciciIsimB + "+//+ø−ø+sınız";
					cekim[5] = geciciIsimB + "+//+ø−ø+ø ";			cekim[11] = geciciIsimB + "+//+ø−ø+ø[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "+//+ø−ø+im";			cekim[9] = geciciIsimB +  "+//+ø−ø+iz";
					cekim[4] = geciciIsimB + "+//+ø−ø+sin";			cekim[10] = geciciIsimB + "+//+ø−ø+siniz";
					cekim[5] = geciciIsimB + "+//+ø−ø+ø ";			cekim[11] = geciciIsimB + "+//+ø−ø+ø[ler]";
					break;
				}
			}
			
			break;
		}						// --- "Olay" kipinin sonu ---
			
		case "anlati":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + "+//+ø−t+ım";			cekim[6] = geciciIsimA + "+//+ø−t+ık";
					cekim[1] = geciciIsimA + "+//+ø−t+ın"; 			cekim[7] = geciciIsimA + "+//+ø−t+ınız";
					cekim[2] = geciciIsimA + "+//+ø−t+ıø";			cekim[8] = geciciIsimA + "+//+ø−t+ıø[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + "+//+ø−t+im";			cekim[6] = geciciIsimA + "+//+ø−t+ik";
					cekim[1] = geciciIsimA + "+//+ø−t+in";			cekim[7] = geciciIsimA + "+//+ø−t+iniz";
					cekim[2] = geciciIsimA + "+//+ø−t+iø";			cekim[8] = geciciIsimA + "+//+ø−t+iø[ler]";
					break;
				}
				case "u":
				{
					cekim[0] = geciciIsimA + "+//+ø−t+um";			cekim[6] = geciciIsimA + "+//+ø−t+uk";
					cekim[1] = geciciIsimA + "+//+ø−t+un";			cekim[7] = geciciIsimA + "+//+ø−t+unuz";
					cekim[2] = geciciIsimA + "+//+ø−t+uø";			cekim[8] = geciciIsimA + "+//+ø−t+uø[lar]";
					break;
				}

				case "ü":
				{
					cekim[0] = geciciIsimA + "+//+ø−t+üm";			cekim[6] = geciciIsimA + "+//+ø−t+ük";
					cekim[1] = geciciIsimA + "+//+ø−t+ün";			cekim[7] = geciciIsimA + "+//+ø−t+ünüz";
					cekim[2] = geciciIsimA + "+//+ø−t+üø";			cekim[8] = geciciIsimA + "+//+ø−t+üø[ler]";
					break;
				}
			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "+//+ø−t+ım";			cekim[9] = geciciIsimB +  "+//+ø−t+ık";
					cekim[4] = geciciIsimB + "+//+ø−t+ın";			cekim[10] = geciciIsimB + "+//+ø−t+ınız";
					cekim[5] = geciciIsimB + "+//+ø−t+ıø";			cekim[11] = geciciIsimB + "+//+ø−t+ıø[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "+//+ø−t+im";			cekim[9] = geciciIsimB  + "+//+ø−t+ik";
					cekim[4] = geciciIsimB + "+//+ø−t+in";			cekim[10] = geciciIsimB + "+//+ø−t+iniz";
					cekim[5] = geciciIsimB + "+//+ø−t+iø";			cekim[11] = geciciIsimB + "+//+ø−t+iø[ler]";
					break;
				}
			}	
			
			break;
		}						// --- "Anlatı" kipinin sonu ---
		
		case "soylenti":
		{

			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + "+//+ø−mış+ım";		cekim[6] = geciciIsimA + "+//+ø−mış+ız";
					cekim[1] = geciciIsimA + "+//+ø−mış+sın";	 	cekim[7] = geciciIsimA + "+//+ø−mış+sınız";
					cekim[2] = geciciIsimA + "+//+ø−mış+ø";			cekim[8] = geciciIsimA + "+//+ø−mış+ø[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + "+//+ø−miş+im";		cekim[6] = geciciIsimA + "+//+ø−miş+iz";
					cekim[1] = geciciIsimA + "+//+ø−miş+sin";		cekim[7] = geciciIsimA + "+//+ø−miş+siniz";
					cekim[2] = geciciIsimA + "+//+ø−miş+ø";			cekim[8] = geciciIsimA + "+//+ø−miş+ø[ler]";
					break;
				}
				case "u":
				{
					cekim[0] = geciciIsimA + "+//+ø−muş+um";		cekim[6] = geciciIsimA + "+//+ø−muş+uz";
					cekim[1] = geciciIsimA + "+//+ø−muş+sun";		cekim[7] = geciciIsimA + "+//+ø−muş+sunuz";
					cekim[2] = geciciIsimA + "+//+ø−muş+ø";			cekim[8] = geciciIsimA + "+//+ø−muş+ø[lar]";
					break;
				}

				case "ü":
				{
					cekim[0] = geciciIsimA + "+//+ø−müş+üm";		cekim[6] = geciciIsimA + "+//+ø−müş+üz";
					cekim[1] = geciciIsimA + "+//+ø−müş+sün";		cekim[7] = geciciIsimA + "+//+ø−müş+sünüz";
					cekim[2] = geciciIsimA + "+//+ø−müş+ø";			cekim[8] = geciciIsimA + "+//+ø−müş+ø[ler]";
					break;
				}
			}

			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "+//+ø−mış+ım";		cekim[9] = geciciIsimB  + "+//+ø−mış+ız";
					cekim[4] = geciciIsimB + "+//+ø−mış+sın";		cekim[10] = geciciIsimB + "+//+ø−mış+sınız";
					cekim[5] = geciciIsimB + "+//+ø−mış+ø";			cekim[11] = geciciIsimB + "+//+ø−mış+ø[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "+//+ø−miş+im";		cekim[9] = geciciIsimB  + "+//+ø−miş+iz";
					cekim[4] = geciciIsimB + "+//+ø−miş+sin";		cekim[10] = geciciIsimB + "+//+ø−miş+siniz";
					cekim[5] = geciciIsimB + "+//+ø−miş+ø";			cekim[11] = geciciIsimB + "+//+ø−miş+ø[ler]";
					break;
				}
			}	
			
			break;
		}						// --- "Söylenti" kipinin sonu ---		

		case "kosul":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				case "u":
				{
					cekim[0] = geciciIsimA + "+//+ø−sa+m";			cekim[6] = geciciIsimA + "+//+ø−sa+k";
					cekim[1] = geciciIsimA + "+//+ø−sa+n"; 			cekim[7] = geciciIsimA + "+//+ø−sa+nız";
					cekim[2] = geciciIsimA + "+//+ø−sa+ø";			cekim[8] = geciciIsimA + "+//+ø−sa+ø[lar]";
					break;
				}
				case "i":
				case "ü":
				{
					cekim[0] = geciciIsimA + "+//+ø-se+m";			cekim[6] = geciciIsimA + "+//+ø-se+k";
					cekim[1] = geciciIsimA + "+//+ø-se+n";			cekim[7] = geciciIsimA + "+//+ø-se+niz";
					cekim[2] = geciciIsimA + "+//+ø-se+ø";			cekim[8] = geciciIsimA + "+//+ø-se+ø[ler]";
					break;
				}

			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "+//+ø−sa+m";		cekim[9] = geciciIsimB  + "+//+ø−sa+k";
					cekim[4] = geciciIsimB + "+//+ø−sa+n";		cekim[10] = geciciIsimB + "+//+ø−sa+nız";
					cekim[5] = geciciIsimB + "+//+ø−sa+ø";		cekim[11] = geciciIsimB + "+//+ø−sa+ø[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "+//+ø−se+m";		cekim[9] = geciciIsimB +  "+//+ø−se+k";
					cekim[4] = geciciIsimB + "+//+ø−se+n";		cekim[10] = geciciIsimB + "+//+ø−se+niz";
					cekim[5] = geciciIsimB + "+//+ø−se+ø";		cekim[11] = geciciIsimB + "+//+ø−se+ø[ler]";
					break;
				}
			}	
			
			break;
		}						// --- "Koşul" kipinin sonu ---		
	}   						//   *** Kip seçimin sonu ***
	
	Yaz(cekim, anlmOgesi);
}