function GelecekZamanDilekKosul(anlmOgesi, kip)
{
	var aciklama1 = "<strong> UYARI (1) ! :  et− </strong> yardımcı fiiliyle yapılmış bitişik yazılan birleşik fiiller, ayrı ";
	aciklama1 += "bir veri tabanı gerektirdiği için şimdilik bu programa alınmamıştır. ";
	aciklama1 += "Böyle fiiller ayrık yazılarak doğru sonuç alınabilir.";
	var ornek1 = "<strong> Örnek </strong> : <strong> addet ⇒ add et </strong> şeklinde girilmelidir.";

	var aciklama2 = "<strong> UYARI (2) ! : Gelecek Zaman + Dilek-Koşul </strong> eki <strong> /...−sA+.../</strong>, eklemede <strong> Gelecek Zaman + Gereklilik </strong> eki <strong> /...−mA.lI+.../ </strong> ile aynı kurallara uyar."; 
	aciklama2 += "";
	var ornek2 = "<strong> Örnek </strong> : <i> git-//-se ‧◊‧ git-//-meli ... ; git-//-mese ‧◊‧ git-//-memeli </i> ... ; <br> <i> oku-//-sa ‧◊‧ oku-//-malı ... ; oku-//-masa ‧◊‧ oku-//-mamalı </i> ... gibi.";
	
	var aciklama3 = ""; 
	aciklama3 += "";
	var ornek3 = "";

	BilgiYaz("Başı Sınırlı Kılışlı Yüklem (Prédicat) : <br> Gelecek Zaman + Dilek-Koşul", "Geçici İsim Eki : /...−ø−sA+.../ &nbsp&nbsp&nbsp&nbsp  --(benzşmz ünsz + benzşr açık ünlü)-- ", " Geçici İsim Eki : /...−mA−sA+.../",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);
	
	if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}
	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var geciciIsimEki;
	var geciciIsimA;
	var geciciIsimB;
	
	var oncesi;
	var sonrasi;	
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);
	
	for (i = 0 ; i < 12 ; i++)
	{
		cekim[i] = "−YOK−";
	}
	
	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	tabanEkiA = "";
	cekmTabniA = anlmOgesi + tabanEkiA;
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
	
	if (SondanIkinciVokal(cekmTabniA) != null)
	{
		cekmTabniASonVokl2 = SondanIkinciVokal(cekmTabniA);
	}
	else
	{
		cekmTabniASonVokl2 = cekmTabniASonVokl1;
	}
	
											// cekmTabniB'yi oluşturma
	
	if (SonDortHarf(anlmOgesi) == "abil")
	{
		tabanEkiB = "ma";
		cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
	}
	else
	{
		if (SonDortHarf(anlmOgesi) == "ebil")
		{
			tabanEkiB = "me";
			cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
		}
		else
		{			
			if (ArtliMi(cekmTabniASonVokl1))
			{
				tabanEkiB = "ma";
			}
			else
			{
				tabanEkiB = "me";
			}
			cekmTabniB = anlmOgesi + sonrasi + tabanEkiB;
		}
	}
	
											// cekmTabniB'yi oluşturmanın sonu
		
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	if (SondanIkinciVokal(cekmTabniB) != null)
	{
		cekmTabniBSonVokl2 = SondanIkinciVokal(cekmTabniB);
	}
	else
	{
		cekmTabniBSonVokl2 = cekmTabnBSonVokl1;
	}
	
	switch (cekmTabniASonVokl1)
	{
		case "a":
		case "ı":
		{
			geciciIsimEki = "sa";
			break;
		}
		case "e":
		case "i":
		{
			geciciIsimEki = "se";
			break;
		}
		case "o":
		case "u":
		{
			geciciIsimEki = "sa";
			break;
		}
		case "ö":
		case "ü":
		{
			geciciIsimEki = "se";
			break;
		}
	}
	
	geciciIsimA = cekmTabniA + sonrasi + geciciIsimEki;
	
	switch (cekmTabniBSonVokl1)
	{
		case "a":
		{
			geciciIsimEki = "sa";
			break;
		}
		case "e":
		{
			geciciIsimEki = "se";
			break;
		}
	}
	
	geciciIsimB = cekmTabniB + geciciIsimEki; 
	
	// değişen kısım başlangıcı
	
	geciciIsimA  = oncesi + " " + geciciIsimA;
	geciciIsimB  = oncesi + " " + geciciIsimB;
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA + "m";		cekim[6] = geciciIsimA + "k";
					cekim[1] = geciciIsimA + "n"; 		cekim[7] = geciciIsimA + "nız";
					cekim[2] = geciciIsimA + "";		cekim[8] = geciciIsimA + "[lar]";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA + "m";		cekim[6] = geciciIsimA + "k";
					cekim[1] = geciciIsimA + "n";		cekim[7] = geciciIsimA + "niz";
					cekim[2] = geciciIsimA + "";		cekim[8] = geciciIsimA + "[ler]";
					break;
				}
			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + "m";		cekim[9] = geciciIsimB + "k";
					cekim[4] = geciciIsimB + "n";		cekim[10] = geciciIsimB + "nız";
					cekim[5] = geciciIsimB + "";		cekim[11] = geciciIsimB + "[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + "m";		cekim[9] = geciciIsimB + "k";
					cekim[4] = geciciIsimB + "n";		cekim[10] = geciciIsimB + "niz";
					cekim[5] = geciciIsimB + "";		cekim[11] = geciciIsimB + "[ler]";
					break;
				}
			}	
			break;
		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA + "ydım";			cekim[6] = geciciIsimA + "ydık";
					cekim[1] = geciciIsimA + "ydın";			cekim[7] = geciciIsimA + "ydınız";
					cekim[2] = geciciIsimA + "ydı";				cekim[8] = geciciIsimA + "ydı[lar]";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA + "ydim";			cekim[6] = geciciIsimA + "ydik";
					cekim[1] = geciciIsimA + "ydin";			cekim[7] = geciciIsimA + "ydiniz";
					cekim[2] = geciciIsimA + "ydi";				cekim[8] = geciciIsimA + "ydi[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + "ydım";		cekim[9]  = geciciIsimB + "ydık";
					cekim[4] = geciciIsimB + "ydın";		cekim[10] = geciciIsimB + "ydınız";
					cekim[5] = geciciIsimB + "ydı";			cekim[11] = geciciIsimB + "ydı[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + "ydim";		cekim[9]  = geciciIsimB + "ydik";
					cekim[4] = geciciIsimB + "ydin";		cekim[10] = geciciIsimB + "ydiniz";
					cekim[5] = geciciIsimB + "ydi";			cekim[11] = geciciIsimB + "ydi[ler]";
					break;
				}
			}
			break;
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA + "ymışım";			cekim[6] = geciciIsimA + "ymışız";
					cekim[1] = geciciIsimA + "ymışsın";			cekim[7] = geciciIsimA + "ymışsınız";
					cekim[2] = geciciIsimA + "ymış";			cekim[8] = geciciIsimA + "ymış[lar]";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA + "ymişim";			cekim[6] = geciciIsimA + "ymişiz";
					cekim[1] = geciciIsimA + "ymişsin";			cekim[7] = geciciIsimA + "ymişsiniz";
					cekim[2] = geciciIsimA + "ymiş";			cekim[8] = geciciIsimA + "ymiş[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + "ymışım";		cekim[9]  = geciciIsimB + "ymışız";
					cekim[4] = geciciIsimB + "ymışsın";		cekim[10] = geciciIsimB + "ymışsınız";
					cekim[5] = geciciIsimB + "ymış";		cekim[11] = geciciIsimB + "ymış[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + "ymişim";		cekim[9]  = geciciIsimB + "ymişiz";
					cekim[4] = geciciIsimB + "ymişsin";		cekim[10] = geciciIsimB + "ymişsiniz";
					cekim[5] = geciciIsimB + "ymiş";		cekim[11] = geciciIsimB + "ymiş[ler]";
					break;
				}
			}
			break;
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
								// --- "Koşul" kipinin sonu ---
	}   						//   *** Kip seçimin sonu ***
	
	Yaz(cekim, anlmOgesi);
}