function TaniksizGecmisZaman(anlmOgesi, kip)
{
	var aciklama1 = "<strong> UYARI (1) ! :  et− </strong> yardımcı fiiliyle yapılmış bitişik yazılan birleşik fiiller, ayrı ";
	aciklama1 += "bir veri tabanı gerektirdiği için şimdilik bu programa alınmamıştır. ";
	aciklama1 += "Böyle fiiller ayrık yazılarak doğru sonuç alınabilir.";
	var ornek1 = "<strong> Örnek </strong> : <strong> addet ⇒ add et </strong> şeklinde girilmelidir.";
	
	var aciklama2 = "<strong> UYARI (2) ! : /...−mIş/ </strong> eki, aynı zamanda [Geçmiş Zaman] <strong> ORTAÇ </strong> eklerindendir. <strong> ULAÇ KİPİ </strong> eki : <strong> /...−mIş+//+ø−ken/ </strong> biçimindedir. Ayrıca, fiillerden, <strong> <i> - kural degistirmeksizin - </i> </strong> bu ekin yerine <strong> /...−mA/ </strong>  ve <strong> /...−mA.k/ </strong> ekleri getirilerek <strong> EYLEMLİK </strong> ; <strong>/...−mA.k+tA/</strong>, <strong> /...−mA+dAn/ </strong> ve <strong> /...−mA.k+sIz.In/ </strong> ekleri getirilerek de <strong> ULAÇ </strong> yapılır."; 
	aciklama2 += "";
	var ornek2 = "<strong> Örnek </strong> : <strong> ortaç </strong> : <i> git-//-miş, git-//-memiş </i> ... ; <strong> ulaç kipi </strong> : <i>git-//-mişken, git-//-memişken </i> ... ; <strong> eylemlik </strong> : <i> git-//-me, git-//-meme </i> ... ; <i> git-//-mek, git-//-memek </i> ... ;  <strong> ulaç </strong> : <i> git-//-mekte, git-//-memekte </i> ... ; <i> git-//-meden, git-//-meksizin </i> ... <br> <strong> ortaç </strong> : <i> oku-//-muş, oku-//-mamış </i> ... ; <strong> ulaç kipi </strong> : <i> oku-//-muşken, oku-//-mamışken </i> ... ;  <strong> eylemlik </strong> : <i> oku-//-ma, oku-//-mama </i> ... ; <i> oku-//-mak, oku-//-mamak </i> ... ;  <strong> ulaç </strong> : <i> oku-//-makta, oku-//-mamakta </i> ... ; <i> oku-//-madan </i> ... ; <i> oku-//-maksızın </i> ... gibi.";

	var aciklama3 = ""; 
	aciklama3 += "";
	var ornek3 = "";

	BilgiYaz("Sonu Sınırlı Kılışlı Yüklem (Prédicat) : <br> Tanıksız Geçmiş Zaman", "Geçici İsim Eki : /...−ø−mIş+.../ &nbsp&nbsp&nbsp&nbsp  --(benzşmz ünsz + benzşr kaplı ünlü)--",
	" Geçici İsim Eki : /...−mA−mIş+.../",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);
	
		if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}
	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var geciciIsimEki;
	var geciciIsimA;
	var geciciIsimB;
	
	var oncesi;
	var sonrasi;	
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);
		
	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	
	tabanEkiA = "";
	cekmTabniA = anlmOgesi + sonrasi + tabanEkiA;
	
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
	
	if (SondanIkinciVokal(cekmTabniA) != null)
	{
		cekmTabniASonVokl2 = SondanIkinciVokal(cekmTabniA);
	}
	else
	{
		cekmTabniASonVokl2 = cekmTabniASonVokl1;
	}
	
											// cekmTabniB'yi oluşturma
	
	if (SonDortHarf(anlmOgesi) == "abil")
	{
		tabanEkiB = "ma";
		cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
	}
	else
	{
		if (SonDortHarf(anlmOgesi) == "ebil")
		{
			tabanEkiB = "me";
			cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
		}
		else
		{			
			if (ArtliMi(cekmTabniASonVokl1))
			{
				tabanEkiB = "ma";
			}
			else
			{
				tabanEkiB = "me";
			}
			cekmTabniB = anlmOgesi + sonrasi + tabanEkiB;
		}
	}
	
											// cekmTabniB'yi oluşturmanın sonu
		
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	if (SondanIkinciVokal(cekmTabniB) != null)
	{
		cekmTabniBSonVokl2 = SondanIkinciVokal(cekmTabniB);
	}
	else
	{
		cekmTabniBSonVokl2 = cekmTabnBSonVokl1;
	}
	
	switch (cekmTabniASonVokl1)
	{
		case "a":
		case "ı":
		{
			geciciIsimEki = "mış";
			break;
		}
		case "e":
		case "i":
		{
			geciciIsimEki = "miş";
			break;
		}
		case "o":
		case "u":
		{
			geciciIsimEki = "muş";
			break;
		}
		case "ö":
		case "ü":
		{
			geciciIsimEki = "müş";
			break;
		}
	}
	
	geciciIsimA = cekmTabniA + geciciIsimEki;
	
	switch (cekmTabniBSonVokl1)
	{
		case "a":
		{
			geciciIsimEki = "mış";
			break;
		}
		case "e":
		{
			geciciIsimEki = "miş";
			break;
		}
	}
	
	geciciIsimB = cekmTabniB + geciciIsimEki; 
	
		// değişen kısım başlangıcı
		
	geciciIsimA  = oncesi + " " + geciciIsimA;
	geciciIsimB  = oncesi + " " + geciciIsimB;
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + "ım";			cekim[6] = geciciIsimA + "ız";
					cekim[1] = geciciIsimA + "sın"; 		cekim[7] = geciciIsimA + "sınız";
					cekim[2] = geciciIsimA + "";			cekim[8] = geciciIsimA + "[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + "im";			cekim[6] = geciciIsimA + "iz";
					cekim[1] = geciciIsimA + "sin";			cekim[7] = geciciIsimA + "siniz";
					cekim[2] = geciciIsimA + "";			cekim[8] = geciciIsimA + "[ler]";
					break;
				}
				case "u":
				{
					cekim[0] = geciciIsimA + "um";			cekim[6] = geciciIsimA + "uz";
					cekim[1] = geciciIsimA + "sun";			cekim[7] = geciciIsimA + "sunuz";
					cekim[2] = geciciIsimA + "";			cekim[8] = geciciIsimA + "[lar]";
					break;
				}

				case "ü":
				{
					cekim[0] = geciciIsimA + "üm";			cekim[6] = geciciIsimA + "üz";
					cekim[1] = geciciIsimA + "sün";			cekim[7] = geciciIsimA + "sünüz";
					cekim[2] = geciciIsimA + "";			cekim[8] = geciciIsimA + "[ler]";
					break;
				}
			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "ım";			cekim[9] = geciciIsimB +  "ız";
					cekim[4] = geciciIsimB + "sın";			cekim[10] = geciciIsimB + "sınız";
					cekim[5] = geciciIsimB + "";			cekim[11] = geciciIsimB + "[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "im";			cekim[9] = geciciIsimB +  "iz";
					cekim[4] = geciciIsimB + "sin";			cekim[10] = geciciIsimB + "siniz";
					cekim[5] = geciciIsimB + "";			cekim[11] = geciciIsimB + "[ler]";
					break;
				}
			}
			
			break;
		}						// --- "Olay" kipinin sonu ---
			
		case "anlati":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + "tım";			cekim[6] = geciciIsimA + "tık";
					cekim[1] = geciciIsimA + "tın"; 			cekim[7] = geciciIsimA + "tınız";
					cekim[2] = geciciIsimA + "tı";			cekim[8] = geciciIsimA + "tı[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + "tim";			cekim[6] = geciciIsimA + "tik";
					cekim[1] = geciciIsimA + "tin";			cekim[7] = geciciIsimA + "tiniz";
					cekim[2] = geciciIsimA + "ti";			cekim[8] = geciciIsimA + "ti[ler]";
					break;
				}
				case "u":
				{
					cekim[0] = geciciIsimA + "tum";			cekim[6] = geciciIsimA + "tuk";
					cekim[1] = geciciIsimA + "tun";			cekim[7] = geciciIsimA + "tunuz";
					cekim[2] = geciciIsimA + "tu";			cekim[8] = geciciIsimA + "tu[lar]";
					break;
				}

				case "ü":
				{
					cekim[0] = geciciIsimA + "tüm";			cekim[6] = geciciIsimA + "tük";
					cekim[1] = geciciIsimA + "tün";			cekim[7] = geciciIsimA + "tünüz";
					cekim[2] = geciciIsimA + "tü";			cekim[8] = geciciIsimA + "tü[ler]";
					break;
				}
			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "tım";			cekim[9] = geciciIsimB +  "tık";
					cekim[4] = geciciIsimB + "tın";			cekim[10] = geciciIsimB + "tınız";
					cekim[5] = geciciIsimB + "tı";			cekim[11] = geciciIsimB + "tı[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "tim";			cekim[9] = geciciIsimB  + "tik";
					cekim[4] = geciciIsimB + "tin";			cekim[10] = geciciIsimB + "tiniz";
					cekim[5] = geciciIsimB + "ti";			cekim[11] = geciciIsimB + "ti[ler]";
					break;
				}
			}	
			
			break;
		}						// --- "Anlatı" kipinin sonu ---
		
		case "soylenti":
		{

			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + "mışım";		cekim[6] = geciciIsimA + "mışız";
					cekim[1] = geciciIsimA + "mışsın";	 	cekim[7] = geciciIsimA + "mışsınız";
					cekim[2] = geciciIsimA + "mış";			cekim[8] = geciciIsimA + "mış[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + "mişim";		cekim[6] = geciciIsimA + "mişiz";
					cekim[1] = geciciIsimA + "mişsin";		cekim[7] = geciciIsimA + "mişsiniz";
					cekim[2] = geciciIsimA + "miş";			cekim[8] = geciciIsimA + "miş[ler]";
					break;
				}
				case "u":
				{
					cekim[0] = geciciIsimA + "muşum";		cekim[6] = geciciIsimA + "muşuz";
					cekim[1] = geciciIsimA + "muşsun";		cekim[7] = geciciIsimA + "muşsunuz";
					cekim[2] = geciciIsimA + "muş";			cekim[8] = geciciIsimA + "muş[lar]";
					break;
				}

				case "ü":
				{
					cekim[0] = geciciIsimA + "müşüm";		cekim[6] = geciciIsimA + "müşüz";
					cekim[1] = geciciIsimA + "müşsün";		cekim[7] = geciciIsimA + "müşsünüz";
					cekim[2] = geciciIsimA + "müş";			cekim[8] = geciciIsimA + "müş[ler]";
					break;
				}
			}

			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "mışım";		cekim[9] = geciciIsimB  + "mışız";
					cekim[4] = geciciIsimB + "mışsın";		cekim[10] = geciciIsimB + "mışsınız";
					cekim[5] = geciciIsimB + "mış";			cekim[11] = geciciIsimB + "mış[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "mişim";		cekim[9] = geciciIsimB  + "mişiz";
					cekim[4] = geciciIsimB + "mişsin";		cekim[10] = geciciIsimB + "mişsiniz";
					cekim[5] = geciciIsimB + "miş";			cekim[11] = geciciIsimB + "miş[ler]";
					break;
				}
			}	
			
			break;
		}						// --- "Söylenti" kipinin sonu ---		

		case "kosul":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				case "u":
				{
					cekim[0] = geciciIsimA + "sam";				cekim[6] = geciciIsimA + "sak";
					cekim[1] = geciciIsimA + "san"; 			cekim[7] = geciciIsimA + "sanız";
					cekim[2] = geciciIsimA + "sa";				cekim[8] = geciciIsimA + "sa[lar]";
					break;
				}
				case "i":
				case "ü":
				{
					cekim[0] = geciciIsimA + "sem";				cekim[6] = geciciIsimA + "sek";
					cekim[1] = geciciIsimA + "sen";				cekim[7] = geciciIsimA + "seniz";
					cekim[2] = geciciIsimA + "se";				cekim[8] = geciciIsimA + "se[ler]";
					break;
				}

			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "sam";			cekim[9] = geciciIsimB  + "sak";
					cekim[4] = geciciIsimB + "san";			cekim[10] = geciciIsimB + "sanız";
					cekim[5] = geciciIsimB + "sa";			cekim[11] = geciciIsimB + "salar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "sem";			cekim[9] = geciciIsimB +  "sek";
					cekim[4] = geciciIsimB + "sen";			cekim[10] = geciciIsimB + "seniz";
					cekim[5] = geciciIsimB + "se";			cekim[11] = geciciIsimB + "se[ler]";
					break;
				}
			}	
			
			break;
		}						// --- "Koşul" kipinin sonu ---		
	}   						//   *** Kip seçimin sonu ***
	
	Yaz(cekim, anlmOgesi);
}